import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useBrushTracker } from '../../EventsTrackers/BrushTracker';
import { useChartData } from '../../context/ChartContext';
import { options } from '../../toolbar/ToolTypes';
const styles = {
    container: {
        transformOrigin: 'top left',
        position: 'absolute',
        top: '0px',
        left: '0px',
        zIndex: 9,
    },
};
const allowTools = new Set([
    options.zoom.id,
    options.zeroFilling.id,
    options.peakPicking.id,
    options.integral.id,
    options.phaseCorrection.id,
    options.baselineCorrection.id,
    options.rangePicking.id,
    options.exclusionZones.id,
]);
export default function BrushX() {
    const { width, height, toolOptions: { selectedTool }, } = useChartData();
    const { startX, endX, step } = useBrushTracker();
    if (!allowTools.has(selectedTool) || step !== 'brushing')
        return null;
    const scale = (endX - startX) / width;
    return (_jsx("div", { style: {
            ...styles.container,
            transform: `translate(${startX}px, 0px) scaleX(${scale})`,
            willChange: 'transform',
        }, children: _jsxs("svg", { width: width, height: height, children: [_jsx("line", { x1: "0", y1: "0", x2: "0", y2: height, strokeWidth: "8", stroke: "red" }), _jsx("line", { x1: width, y1: "0", x2: width, y2: height, strokeWidth: "8", stroke: "red" }), _jsx("rect", { x: "0", y: "0", width: width, height: height, fill: "gray", opacity: "0.2" })] }) }));
}
