import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import SpectrumInfoBlock from '../1d-2d/components/SpectrumInfoBlock';
import { usePreferences } from '../context/PreferencesContext';
import ApodizationLine from './ApodizationLine';
import ExclusionZonesAnnotations from './ExclusionZonesAnnotations';
import LinesSeries from './LinesSeries';
import SimilarityTree from './SimilarityTree';
import SpectraTracker from './SpectraLegends';
import XAxis from './XAxis';
import DatabaseElements from './database/DatabaseElements';
import IntegralsSeries from './integral/IntegralsSeries';
import JGraph from './jCouplingGraph/JGraph';
import MultiAnalysisRanges from './multiAnalysis/MultiAnalysisRanges';
import MultiplicityTrees from './multiplicityTree/MultiplicityTrees';
import { PeakEditionProvider } from './peaks/PeakEditionManager';
import Peaks from './peaks/Peaks';
import PeaksShapes from './peaks/PeaksShapes';
import Ranges from './ranges/Ranges';
import RangesIntegrals from './ranges/RangesIntegrals';
import BaseLineZones from './tool/BaseLineZones';
function Chart1D({ mode, width, height, margin, displayerKey }) {
    const { current: { general: { spectraRendering }, }, } = usePreferences();
    const innerWidth = width - margin.left - margin.right;
    const innerHeight = height - margin.bottom;
    return (_jsx(PeakEditionProvider, { children: _jsxs("svg", { id: "nmrSVG", width: width, height: height, viewBox: `0 0 ${width} ${height}`, fontFamily: "Arial, Helvetica, sans-serif", shapeRendering: spectraRendering, children: [_jsx("defs", { children: _jsx("clipPath", { id: `${displayerKey}clip-chart-1d`, children: _jsx("rect", { width: innerWidth, height: innerHeight, x: margin.left, y: "0" }) }) }), _jsx(LinesSeries, {}), _jsx(ApodizationLine, {}), _jsx(IntegralsSeries, {}), _jsx(Peaks, { peaksSource: "peaks" }), _jsx(RangesIntegrals, {}), _jsx(Peaks, { peaksSource: "ranges" }), _jsx(Ranges, {}), _jsx(MultiplicityTrees, {}), _jsx(JGraph, {}), _jsx(MultiAnalysisRanges, {}), _jsx(BaseLineZones, {}), _jsx(ExclusionZonesAnnotations, {}), _jsx(DatabaseElements, {}), _jsx(PeaksShapes, {}), _jsx(SpectraTracker, {}), _jsx(SpectrumInfoBlock, {}), _jsx(SimilarityTree, {}), _jsx("g", { className: "container", style: { pointerEvents: 'none' }, children: _jsx(XAxis, { showGrid: true, mode: mode }) })] }) }));
}
export default Chart1D;
