import { jsx as _jsx } from "react/jsx-runtime";
import { HighlightEventSource, useHighlightData } from '../../highlight';
import { usePanelPreferences } from '../../hooks/usePanelPreferences';
import DatabaseSpectrum from './DatabaseSpectrum';
import ResurrectedDatabaseRanges from './ResurrectedDatabaseRanges';
function DatabaseElements() {
    const { highlight } = useHighlightData();
    const { previewJcamp } = usePanelPreferences('database');
    const { jcampURL } = highlight?.sourceData?.extra || {};
    if (highlight.sourceData?.type !== HighlightEventSource.DATABASE) {
        return null;
    }
    if (previewJcamp && jcampURL) {
        return _jsx(DatabaseSpectrum, {});
    }
    return _jsx(ResurrectedDatabaseRanges, {});
}
export default DatabaseElements;
