import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useState } from 'react';
import { useJGraph } from './JGraphContext';
export default function JsCoupling({ value }) {
    const { scaleY, maxValue } = useJGraph();
    const [isOver, setOver] = useState(false);
    if (!scaleY)
        return null;
    return (_jsxs("g", { className: "coupling", transform: `translate(0 ${scaleY(value)})`, children: [_jsx("circle", { onMouseEnter: () => setOver(true), onMouseLeave: () => setOver(false), cx: 0, cy: 0, r: 4, fill: `hsl(${(value * 360) / maxValue},100%,${isOver ? 45 : 50}%)`, pointerEvents: "all" }), isOver && (_jsxs("g", { transform: "translate(0 15)", children: [_jsx("text", { pointerEvents: "none", stroke: "white", strokeWidth: "0.6em", fontSize: "11px", dominantBaseline: "middle", textAnchor: "end", children: `${value.toFixed(1)} Hz` }), _jsx("text", { pointerEvents: "none", stroke: "black", fontSize: "11px", dominantBaseline: "middle", textAnchor: "end", children: `${value.toFixed(1)} Hz` })] }))] }));
}
