import { NMRPeak1D, Peak1D } from 'nmr-processing';
interface Peak1DWithParentKeys extends Peak1D {
    parentKeys?: string[];
}
interface NMRPeak1DWithParentKeys extends NMRPeak1D {
    parentKeys?: string[];
}
interface SpreadPeak1D extends Peak1DWithParentKeys {
    scaleX: number;
}
interface SpreadNMRPeak1D extends NMRPeak1DWithParentKeys {
    scaleX: number;
}
export type Peak = Required<SpreadPeak1D | SpreadNMRPeak1D>;
export type PeaksMode = 'spread' | 'single';
export type PeaksSource = 'peaks' | 'ranges';
export interface BasePeaksProps {
    peaksSource: PeaksSource;
    displayerKey: string;
    xDomain: number[];
    peakFormat: string;
}
export interface PeaksAnnotationsProps extends BasePeaksProps {
    peaks: Peak[];
    spectrumColor: string;
    spectrumId: string;
}
export declare function getHighlightSource(peaksSource: PeaksSource): "PEAK" | "RANGE_PEAK";
export declare function getHighlightExtraId(peaksSource: PeaksSource, id: string, parentKeys: string[]): string;
export default function Peaks(props: any): import("react/jsx-runtime").JSX.Element | null;
export {};
