import { Domains, Margin, SpectraDirection, VerticalAlignment } from '../../reducer/Reducer';
interface ScaleXOptions {
    width: number;
    margin: Margin;
    xDomains: Domains;
    xDomain: number[];
    mode: SpectraDirection;
}
declare function getXScale(options: ScaleXOptions, spectrumId?: number | null | string): import("d3-scale").ScaleLinear<number, number, never>;
interface ScaleYOptions {
    height: number;
    margin: Pick<Margin, 'top' | 'bottom'>;
    yDomains: Domains;
    yDomain: number[];
    verticalAlign: VerticalAlignment;
}
export declare const SPECTRA_BOTTOM_MARGIN = 40;
declare function getYScale(options: ScaleYOptions, spectrumId?: number | null | string): import("d3-scale").ScaleLinear<number, number, never>;
interface IntegralYScaleOptions {
    height: number;
    margin: Margin;
    yDomain: number[];
    scaleRatio: number;
}
declare function getIntegralYScale(options: IntegralYScaleOptions): import("d3-scale").ScaleLinear<number, number, never>;
declare function reScaleY(scale: number, { domain, height, margin }: {
    domain: any;
    height: any;
    margin: any;
}): number[];
declare function useScaleX(): (spectrumId?: null) => import("d3-scale").ScaleLinear<number, number, never>;
declare function useScaleY(): (spectrumId?: null) => import("d3-scale").ScaleLinear<number, number, never>;
export { useScaleX, useScaleY, getXScale, getYScale, getIntegralYScale, reScaleY, };
