import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { memo } from 'react';
import SpectrumInfoBlock from '../1d-2d/components/SpectrumInfoBlock';
import { useChartData } from '../context/ChartContext';
import { usePreferences } from '../context/PreferencesContext';
import XAxis from './XAxis';
import YAxis from './YAxis';
import { FidContainer } from './fid/FidContainer';
import { FTContainer } from './ft/FTContainer';
import IndicationLines from './zones/IndicationLines';
import Zones from './zones/Zones';
function chart2DInner({ spectra, width, height, margin, displayerKey, spectraRendering, }) {
    return (_jsxs("svg", { id: "nmrSVG", viewBox: `0 0 ${width} ${height}`, width: width, height: height, fontFamily: "Arial, Helvetica, sans-serif", shapeRendering: spectraRendering, style: {
            position: 'absolute',
        }, children: [_jsx("defs", { children: _jsx("clipPath", { id: `${displayerKey}clip-chart-2d`, children: _jsx("rect", { width: width - margin.left - margin.right, height: height - margin.top - margin.bottom, x: margin.left, y: margin.top }) }) }), _jsx("rect", { width: width - margin.left - margin.right, height: height - margin.top - margin.bottom, x: margin.left, y: margin.top, stroke: "black", strokeWidth: "1", fill: "transparent" }), _jsx(FTContainer, { spectra: spectra }), _jsx(FidContainer, {}), _jsx(Zones, {}), _jsx(IndicationLines, { axis: "X", show: true }), _jsx(IndicationLines, { axis: "Y", show: true }), _jsx(SpectrumInfoBlock, {}), _jsxs("g", { className: "container", style: { pointerEvents: 'none' }, children: [_jsx(XAxis, {}), _jsx(YAxis, {})] })] }));
}
const MemoizedChart2D = memo(chart2DInner);
export default function Chart2D({ spectra }) {
    const { width, height, margin, displayerKey } = useChartData();
    const { current: { general: { spectraRendering }, }, } = usePreferences();
    return (_jsx(MemoizedChart2D, { spectra, width, height, margin, displayerKey, spectraRendering }));
}
