declare const LAYOUT: {
    readonly TOP_1D: "TOP_1D";
    readonly LEFT_1D: "LEFT_1D";
    readonly CENTER_2D: "CENTER_2D";
};
type Layout = keyof typeof LAYOUT;
interface MarginProps {
    top: number;
    left: number;
    right: number;
    bottom: number;
}
declare function get2DDimensionLayout({ width, height, margin, }: {
    width: number;
    height: number;
    margin: MarginProps;
}): {
    CENTER_2D: {
        startX: number;
        startY: number;
        endX: number;
        endY: number;
    };
    TOP_1D: {
        startX: number;
        startY: number;
        endX: number;
        endY: number;
    };
    LEFT_1D: {
        startX: number;
        startY: number;
        endX: number;
        endY: number;
    };
};
interface StartEndProps {
    startX: number;
    endX?: number;
    startY: number;
    endY?: number;
}
type DimensionType = {
    [key in Layout]: Required<StartEndProps>;
};
declare function getLayoutID(dimension: DimensionType, brushData: StartEndProps): Layout | null;
export { LAYOUT, get2DDimensionLayout, getLayoutID };
export type { Layout };
