import { Margin, SpectraDirection } from '../../reducer/Reducer';
import { Layout } from './DimensionLayout';
interface Scale2DXOptions {
    width: number;
    margin: Pick<Margin, 'left' | 'right'>;
    xDomain: number[];
    mode: SpectraDirection;
}
declare function get2DXScale(options: Scale2DXOptions, reverse?: boolean): import("d3-scale").ScaleLinear<number, number, never>;
declare function useScale2DX(reverse?: boolean): import("d3-scale").ScaleLinear<number, number, never>;
interface Scale2DYOptions {
    height: number;
    margin: Pick<Margin, 'top' | 'bottom'>;
    yDomain: number[];
}
declare function get2DYScale(options: Scale2DYOptions, reverse?: boolean): import("d3-scale").ScaleLinear<number, number, never>;
declare function useScale2DY(reverse?: boolean): import("d3-scale").ScaleLinear<number, number, never>;
interface TopLayout {
    width: number;
    margin: {
        right: number;
        left: number;
    };
    xDomain: number[];
}
interface LeftLayout {
    height: number;
    margin: {
        bottom: number;
        top: number;
    };
    yDomain: number[];
}
declare function get1DXScale(props: TopLayout | LeftLayout, layout: Layout): import("d3-scale").ScaleLinear<number, number, never> | undefined;
declare function get1DYScale(yDomain: number[], height: number, margin?: number): import("d3-scale").ScaleLinear<number, number, never>;
declare function use1DTraceYScale(SpectrumId: string, height: number, verticalMargin: number): import("d3-scale").ScaleLinear<number, number, never>;
interface SliceYScaleOptions {
    margin?: number;
    scaleRatio?: number;
}
declare function getSliceYScale(data: Float64Array, size: number, mode: SpectraDirection, options?: SliceYScaleOptions): import("d3-scale").ScaleLinear<number, number, never>;
export { get2DXScale, getSliceYScale, get2DYScale, get1DXScale, get1DYScale, useScale2DX, useScale2DY, use1DTraceYScale, };
