import { jsx as _jsx } from "react/jsx-runtime";
import { memo } from 'react';
import { useChartData } from '../../context/ChartContext';
import useSpectrum from '../../hooks/useSpectrum';
import Zone from './Zone';
function ZonesInner({ zones, display, displayerKey }) {
    return (_jsx("g", { clipPath: `url(#${displayerKey}clip-chart-2d)`, className: "2D-Zones", children: display.isVisible &&
            zones.values.map((zone) => (_jsx("g", { className: "zone", children: _jsx(Zone, { zoneData: zone }) }, zone.id))) }));
}
const MemoizedZones = memo(ZonesInner);
const emptyData = { zones: {}, display: {} };
export default function Zones() {
    const { displayerKey } = useChartData();
    const { zones, display } = useSpectrum(emptyData);
    return _jsx(MemoizedZones, { zones, display, displayerKey });
}
