import { CSSProperties, ReactNode } from 'react';
type Step = 'initial' | 'start' | 'end' | 'brushing';
export interface BrushTrackerContext {
    step: Step;
    startX: number;
    endX: number;
    startY: number;
    endY: number;
    shiftKey: boolean;
    altKey: boolean;
    mouseButton: MouseButton;
}
type MouseButton = 'main' | 'secondary' | 'unknown';
export declare const BrushContext: import("react").Context<BrushTrackerContext>;
export declare function useBrushTracker(): BrushTrackerContext;
interface Position {
    x: number;
    y: number;
}
export type OnClick = (element: React.MouseEvent & Position) => void;
export type { OnClick as OnDoubleClick };
export type OnZoom = (event: Pick<React.WheelEvent, 'deltaY' | 'shiftKey' | 'deltaMode'> & Position) => void;
export type OnBrush = (state: BrushTrackerContext) => void;
interface BrushTrackerProps {
    children: ReactNode;
    className?: string;
    style?: CSSProperties;
    onBrushEnd?: OnBrush;
    onBrush?: OnBrush;
    onZoom?: OnZoom;
    onDoubleClick?: OnClick;
    onClick?: OnClick;
    noPropagation?: boolean;
}
export declare function BrushTracker({ children, className, style, onBrushEnd, onBrush, onZoom, onDoubleClick, onClick, noPropagation, }: BrushTrackerProps): import("react/jsx-runtime").JSX.Element;
