/// <reference types="react" />
import { AssignmentsActions } from './AssignmentsReducer';
export type Axis = 'x' | 'y';
export type Assignment = Record<Axis, string[]>;
export type Assignments = Record<string, Assignment>;
export type AssignmentDimension = '1D' | '2D';
export interface AssignmentAction {
    id: string;
    axis: Axis | null;
}
export interface AssignmentState {
    assignments: Assignments;
    activated: AssignmentAction | null;
    highlighted: AssignmentAction | null;
}
export interface AssignmentContext {
    data: AssignmentState;
    dispatch: (action: AssignmentsActions) => void;
}
export interface AssignmentsData extends Pick<AssignmentState, 'activated' | 'highlighted'> {
    id: string;
    isActive: boolean;
    isOver: boolean;
    assigned: Partial<Record<Axis, string[]>>;
    removeAll: (axis: Axis) => void;
    toggle: (atomIDs: string[], dimension: AssignmentDimension) => void;
    setActive: (axis: Axis) => void;
    show: (axis?: Axis) => void;
    hide: () => void;
}
export declare const assignmentState: AssignmentState;
export declare const assignmentContext: import("react").Context<AssignmentContext>;
export declare const AssignmentProvider: import("react").Provider<AssignmentContext>;
export declare function useAssignmentData(): AssignmentContext;
export declare function useAssignment(key: number | string): AssignmentsData;
