import { NmrData1D, NmrData2D } from 'cheminfo-types';
import { ActionType } from '../reducer/types/ActionType';
import { AssignmentDimension, AssignmentState, Axis } from './AssignmentsContext';
export type InitiateAction = ActionType<'INITIATE_ASSIGNMENTS', {
    spectra: Array<NmrData1D | NmrData2D>;
}>;
export type ToggleAction = ActionType<'TOGGLE', {
    atomIDs: string[];
    id: string;
    dimension: AssignmentDimension;
}>;
export type AddAction = ActionType<'ADD', {
    id: string;
    atomID: string;
    axis: Axis;
}>;
export type RemoveAction = ActionType<'REMOVE', {
    ids: string[];
    atomID?: string;
    axis: Axis;
}>;
export type SetActiveAction = ActionType<'SET_ACTIVE', {
    id: string;
    axis: Axis;
}>;
export type ShowAction = ActionType<'SHOW', {
    id: string;
    axis?: Axis;
}>;
export type AssignmentsActions = InitiateAction | ToggleAction | AddAction | RemoveAction | SetActiveAction | ShowAction | ActionType<'HIDE'>;
export default function assignmentReducer(state: AssignmentState, action: AssignmentsActions): AssignmentState;
