import { removeAssignment } from './removeAssignment';
function addAssignment(state, action) {
    const { id, atomID, axis, dimension } = action;
    const assignment = state.assignments?.[id] || null;
    const axisAssignments = assignment?.[axis] || null;
    // avoid duplicates
    if (axisAssignments) {
        if (!axisAssignments.includes(id)) {
            axisAssignments.push(atomID);
        }
    }
    else {
        const otherAxis = axis === 'x' ? 'y' : 'x';
        state.assignments = {
            ...state.assignments,
            [id]: {
                ...state.assignments[id],
                [axis]: [atomID],
                ...(dimension === '2D' && {
                    [otherAxis]: assignment?.[otherAxis] || [],
                }),
            },
        };
    }
}
export default function ToggleAssignments(state, action) {
    const newState = {
        ...state,
    };
    const { id, atomIDs: atomsKeys, dimension } = action.payload;
    const axis = state.activated?.axis;
    if (axis) {
        const atomIDs = state.assignments?.[id]?.[axis] || [];
        for (const atomID of atomsKeys) {
            if (!atomIDs.includes(id)) {
                addAssignment(newState, { axis, id, atomID, dimension });
            }
            else {
                removeAssignment(newState, { atomID, axis, id });
            }
        }
    }
    return newState;
}
