import { jsx as _jsx } from "react/jsx-runtime";
import { useReducer, useMemo, useEffect } from 'react';
import { useChartData } from '../context/ChartContext';
import { assignmentState, assignmentContext, } from './AssignmentsContext';
import assignmentReducer from './AssignmentsReducer';
export function AssignmentProvider(props) {
    const { children } = props;
    const { data: spectra } = useChartData();
    const [data, dispatch] = useReducer(assignmentReducer, assignmentState);
    const state = useMemo(() => ({ data, dispatch }), [data]);
    useEffect(() => {
        if (spectra) {
            dispatch({
                type: 'INITIATE_ASSIGNMENTS',
                // TODO: Fix this type error. It's been here for a long time because this component wasn't typed.
                // @ts-expect-error This should be fixed.
                payload: { spectra },
            });
        }
    }, [spectra]);
    return (_jsx(assignmentContext.Provider, { value: state, children: children }));
}
