import { ReactNode } from 'react';
type ModifiersKey = `shift[${boolean}]_ctrl[${boolean}]_alt[${boolean}]`;
type PrimaryKey = 'shift[true]_ctrl[false]_alt[false]' | 'shift[false]_ctrl[false]_alt[false]';
interface KeyModifiers {
    ctrlKey: boolean;
    shiftKey: boolean;
    altKey: boolean;
}
interface KeyModifiersState extends KeyModifiers {
    modifiersKey: ModifiersKey | null;
}
export declare const KeyModifierContext: import("react").Context<KeyModifiersState>;
export declare function useKeyModifiers(): KeyModifiersState;
interface KeyModifierProviderProps {
    children: ReactNode;
}
export declare function getModifiers(event: KeyboardEvent | MouseEvent): {
    ctrlKey: boolean;
    shiftKey: boolean;
    altKey: boolean;
};
export declare function toModifiersKey(keyModifiers: KeyModifiers): ModifiersKey;
declare function getModifiersKey(event: MouseEvent | KeyboardEvent): "shift[false]_ctrl[false]_alt[false]" | "shift[false]_ctrl[false]_alt[true]" | "shift[false]_ctrl[true]_alt[false]" | "shift[false]_ctrl[true]_alt[true]" | "shift[true]_ctrl[false]_alt[false]" | "shift[true]_ctrl[false]_alt[true]" | "shift[true]_ctrl[true]_alt[false]" | "shift[true]_ctrl[true]_alt[true]";
export declare function useMapKeyModifiers(): {
    primaryKeyIdentifier: PrimaryKey;
    getModifiersKey: typeof getModifiersKey;
};
export declare function KeyModifiersProvider({ children }: KeyModifierProviderProps): import("react/jsx-runtime").JSX.Element;
export {};
