import { FifoLogger, LogEntry } from 'fifo-logger';
import { ReactNode } from 'react';
export declare const LoggerContext: import("react").Context<{
    logger: FifoLogger;
    logsHistory: LogEntry[];
    markAsRead: () => void;
    lastReadLogId: number;
} | null>;
export declare function useLogger(): {
    logger: FifoLogger;
    logsHistory: LogEntry[];
    markAsRead: () => void;
    lastReadLogId: number;
};
interface LoggerProviderProps {
    children: ReactNode;
}
export declare const LOGGER_LEVELS: {
    readonly fatal: 60;
    readonly error: 50;
    readonly warn: 40;
    readonly info: 30;
    readonly debug: 20;
    readonly trace: 10;
    readonly silent: 0;
};
export declare function LoggerProvider({ children }: LoggerProviderProps): import("react/jsx-runtime").JSX.Element;
export {};
