import { createContext, useContext } from 'react';
import { scaleInitialState } from '../reducer/scaleReducer';
export const scaleContext = createContext(scaleInitialState);
export const ScaleProvider = scaleContext.Provider;
export function useScale() {
    return useContext(scaleContext);
}
export function useScaleChecked() {
    const scale = useScale();
    if (!scale.scaleX || !scale.scaleY) {
        throw new Error('scale cannot be null');
    }
    return scale;
}
