import { ContextMenuProps as BluePrintContextMenuProps, MenuItemProps } from '@blueprintjs/core';
import { ComponentProps, ElementType, ReactNode } from 'react';
export interface ContextMenuItem extends MenuItemProps {
    data?: object;
}
type ElementProps<E = 'div'> = E extends ElementType ? ComponentProps<E> : never;
export interface BaseContextMenuProps {
    options: ContextMenuItem[];
    onSelect: (data?: object) => void;
}
export interface ContextMenuProps<E> extends BaseContextMenuProps, Omit<BluePrintContextMenuProps, 'onSelect' | 'content' | 'children'> {
    as?: E;
    children: ReactNode;
}
export declare function ContextMenu<E extends ElementType = 'div'>(props: ContextMenuProps<E> & ElementProps<E>): import("react/jsx-runtime").JSX.Element;
export {};
