import { CSSProperties, ReactElement } from 'react';
export interface InputStyle {
    input?: CSSProperties;
    inputWrapper?: CSSProperties;
}
export interface InputProps extends Omit<React.InputHTMLAttributes<HTMLInputElement>, 'style'> {
    style?: InputStyle;
    autoSelect?: boolean;
    checkValue?: (element: number | string) => boolean;
    format?: () => (element: string) => number | string;
    renderIcon?: (() => ReactElement) | null;
    canClear?: boolean;
    onClear?: () => void;
    datalist?: string[];
    debounceTime?: number;
}
declare const Input: import("react").ForwardRefExoticComponent<InputProps & import("react").RefAttributes<HTMLInputElement>>;
export default Input;
