import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { forwardRef, useCallback, useImperativeHandle, useRef, } from 'react';
const styles = {
    container: {
        width: '100%',
        display: 'flex',
        alignItems: 'center',
        justifyContent: 'center',
        border: '0.55px solid #c7c7c7',
        borderRadius: '5px',
        userSelect: 'none',
        backgroundColor: '#18ce0f14',
        fontSize: '10px',
        color: '#00801d',
        margin: '0px 5px',
        cursor: 'ew-resize',
    },
    label: {
        whiteSpace: 'nowrap',
        textOverflow: 'ellipsis',
        overflow: 'hidden',
        maxWidth: '100%',
        paddingLeft: '5px',
        paddingRight: '5px',
    },
};
// TODO: remove this hacky ref usage.
function InputRange(props, ref) {
    const { name, value = 0, onChange, label, shortLabel, style, className, } = props;
    const previousPosition = useRef(0);
    const valueRef = useRef(value);
    useImperativeHandle(ref, () => ({
        setValue: (value) => {
            valueRef.current = value;
        },
    }));
    const mouseDownCallback = useCallback((event) => {
        function mouseMoveCallback(event) {
            const diff = event.clientX - previousPosition.current;
            previousPosition.current = event.clientX;
            if (event.buttons === 1) {
                const step = diff / (event.shiftKey ? 10 : 1);
                valueRef.current = valueRef.current + step;
                onChange({
                    value: valueRef.current,
                    name,
                });
            }
        }
        function mouseUpCallback() {
            window.removeEventListener('mousemove', mouseMoveCallback);
            window.removeEventListener('mouseup', mouseUpCallback);
        }
        previousPosition.current = event.clientX;
        window.addEventListener('mousemove', mouseMoveCallback);
        window.addEventListener('mouseup', mouseUpCallback);
    }, [name, onChange]);
    return (_jsxs("div", { style: { ...styles.container, ...style }, ...(className && { className }), onMouseDown: mouseDownCallback, children: [_jsx("span", { className: shortLabel ? 'large-label' : '', style: styles.label, children: label }), shortLabel && (_jsx("span", { className: "small-label", style: styles.label, children: shortLabel }))] }));
}
export default forwardRef(InputRange);
