/** @jsxImportSource @emotion/react */
import { SerializedStyles } from '@emotion/react';
import { ReactNode } from 'react';
interface MenuItemProps {
    icon: ReactNode;
    label: string;
    onClick: () => void;
}
export interface BoundingBox {
    x: number;
    y: number;
    width: number;
    height: number;
}
interface MenuListProps {
    items: Array<MenuItemProps & {
        id: string;
    }>;
    onClick: (element: MenuItemProps & {
        id: string;
    }) => void;
    boxBounding?: BoundingBox;
}
interface MenuButtonProps extends Pick<MenuListProps, 'items' | 'onClick'> {
    style?: SerializedStyles;
    component: ReactNode;
    toolTip: string;
    className?: string;
}
export default function MenuButton({ style, component, toolTip, className, items, onClick, }: MenuButtonProps): import("@emotion/react/jsx-runtime").JSX.Element;
export {};
