import { CSSProperties, ReactNode } from 'react';
type MessageType = 'success' | 'error' | 'warning' | 'info';
type Color = CSSProperties['color'];
type ColorPalettes = Record<MessageType, {
    base: Color;
    shade: Color;
    tint: Color;
}>;
export declare const messagesColorPalettes: Readonly<ColorPalettes>;
interface MessageProps {
    type: MessageType;
    children: ReactNode;
    style?: CSSProperties;
}
declare function Message(props: MessageProps): import("react/jsx-runtime").JSX.Element;
export default Message;
