import { jsx as _jsx } from "react/jsx-runtime";
export const messagesColorPalettes = {
    success: {
        base: '#2dd36f',
        shade: '#28ba62',
        tint: '#d6ffe6',
    },
    error: {
        base: '#eb445a',
        shade: '#cf3c4f',
        tint: '#ffd6db',
    },
    warning: {
        base: '#ffc409',
        shade: '#e0ac08',
        tint: '#fff5d6',
    },
    info: {
        base: '#5f5f5f',
        shade: '#545454',
        tint: '#ebebeb',
    },
};
function Message(props) {
    const { style = {}, type, children } = props;
    return (_jsx("div", { style: {
            padding: '0.375rem 0.75rem',
            borderRadius: '0.25rem',
            backgroundColor: messagesColorPalettes[type].tint,
            color: messagesColorPalettes[type].shade,
            ...style,
        }, children: children }));
}
export default Message;
