/** @jsxImportSource @emotion/react */
import { CSSObject, SerializedStyles } from '@emotion/react';
import { CSSProperties } from 'react';
import { CellProps, Column as ReactColumn, UseSortByColumnOptions } from 'react-table';
import { HighlightEventSource } from '../../highlight';
import { BaseContextMenuProps } from '../ContextMenuBluePrint';
import { ClickEvent } from './Elements/ReactTableRow';
interface ExtraColumn<T extends object> {
    enableRowSpan?: boolean;
    style?: CSSProperties;
    Cell?: (cell: CellProps<T>) => JSX.Element | string;
}
export type Column<T extends object> = ReactColumn<T> & ExtraColumn<T> & UseSortByColumnOptions<T>;
interface SortEvent {
    onSortEnd?: (data: any) => void;
}
export interface BaseRowStyle {
    active?: CSSProperties;
    activated?: CSSProperties;
    hover?: CSSProperties;
    base?: CSSProperties;
}
export interface TableContextMenuProps {
    onContextMenuSelect?: (selected: Parameters<BaseContextMenuProps['onSelect']>[0], data: any) => void;
    contextMenu?: BaseContextMenuProps['options'];
}
interface ReactTableProps extends TableContextMenuProps, ClickEvent, SortEvent {
    data: any;
    columns: any;
    highlightedSource?: HighlightEventSource;
    approxItemHeight?: number;
    approxColumnWidth?: number;
    groupKey?: string;
    indexKey?: string;
    enableVirtualScroll?: boolean;
    enableColumnsVirtualScroll?: boolean;
    activeRow?: (data: any) => boolean;
    enableDefaultActiveRow?: boolean;
    totalCount?: number;
    emptyDataRowText?: string;
    rowStyle?: BaseRowStyle | ((data: any) => BaseRowStyle | undefined);
    style?: CSSObject | SerializedStyles;
    disableDefaultRowStyle?: boolean;
}
export interface VirtualBoundary {
    start: number;
    end: number;
}
export interface TableVirtualBoundary {
    rows: VirtualBoundary;
    columns: VirtualBoundary;
}
declare function ReactTable(props: ReactTableProps): import("@emotion/react/jsx-runtime").JSX.Element;
declare const _default: import("react").MemoExoticComponent<typeof ReactTable>;
export default _default;
