import { jsx as _jsx } from "react/jsx-runtime";
import { v4 } from '@lukeed/uuid';
export default function addCustomColumn(array, options) {
    const { index, Header = () => null, accessor = null, Cell = null, sortType = 'basic', enableRowSpan = false, style = {}, id, } = options || {};
    array.push({
        index,
        ...(id && { id }),
        ...(accessor && { accessor }),
        ...(Cell && { Cell }),
        Header,
        sortType,
        enableRowSpan,
        style,
    });
}
export function createActionColumn(options) {
    const { onClick, icon, index, style = {} } = options;
    return {
        index,
        Header: '',
        style: {
            width: '1%',
            maxWidth: '20px',
            minWidth: '20px',
            padding: '0px',
            textAlign: 'center',
            ...style,
        },
        id: v4(),
        Cell: ({ row }) => (_jsx("button", { type: "button", onClick: (e) => {
                e.preventDefault();
                e.stopPropagation();
                onClick(row, e);
            }, children: icon })),
    };
}
