/** @jsxImportSource @emotion/react */
import { SerializedStyles } from '@emotion/react';
import { CSSProperties, ReactNode } from 'react';
export interface TabEvents {
    onDelete?: (tab: Required<BaseTab>) => void;
    onClick?: (tab: Required<BaseTab>) => void;
}
export interface BaseTab {
    tabid: string;
    title?: string;
}
export interface BasicTabProps extends BaseTab {
    isActive?: boolean;
}
export interface TabProps extends BasicTabProps, TabEvents {
    tabstyles?: CSSProperties | SerializedStyles;
    canDelete?: boolean;
    render?: (options: Required<BasicTabProps>) => any;
    className?: string;
    children: ReactNode;
}
export default function Tab({ tabid, title, isActive, onClick, canDelete, onDelete, tabstyles, render, className, children, }: TabProps): import("@emotion/react/jsx-runtime").JSX.Element;
