import { jsx as _jsx } from "@emotion/react/jsx-runtime";
/** @jsxImportSource @emotion/react */
import { css } from '@emotion/react';
import { memo, useCallback, useState } from 'react';
import ToolTip from './ToolTip/ToolTip';
const styles = css `
  background-color: #f5f5f5;
  border: none;
  border-radius: 5px;
  padding: 5px;

  &:hover {
    background-color: lightgray !important;
    color: black !important;
  }

  &.toggle-active {
    background-color: gray;
    color: white;
  }
`;
function ToggleButton({ children, style = {}, onClick = () => null, popupTitle = '', popupPlacement = 'right', defaultValue = false, disabled = false, className = '', }) {
    const [flag, toggle] = useState(defaultValue);
    const toggleHandler = useCallback(() => {
        onClick(!flag);
        toggle(!flag);
    }, [onClick, flag]);
    return (_jsx(ToolTip, { title: popupTitle, popupPlacement: popupPlacement, children: _jsx("button", { disabled: disabled, css: styles, style: style, className: (flag ? 'toggle toggle-active ' : 'toggle ') + className, type: "button", onClick: toggleHandler, children: children }) }));
}
export default memo(ToggleButton);
