import { ReactFragment } from 'react';
import { Position } from './useDraggable';
type ChildType = React.ReactElement[] | React.ReactElement | ReactFragment | boolean | null;
type PositionChangeHandler = (data: Position) => void;
export interface DraggableProps {
    children?: ChildType | ((x1: number, x2: number) => ChildType);
    position?: Position;
    width: number;
    height: number;
    onStart?: PositionChangeHandler;
    onMove?: PositionChangeHandler;
    onEnd?: PositionChangeHandler;
    parentElement?: HTMLElement | null;
    dragHandleClassName?: string;
}
export default function SVGDraggable(props: DraggableProps): import("react/jsx-runtime").JSX.Element;
export {};
