import { jsx as _jsx } from "react/jsx-runtime";
import useDraggable from './useDraggable';
export default function SVGDraggable(props) {
    const { children, position: cPosition = { x: 0, y: 0 }, width, height, onStart, onMove, onEnd, parentElement, dragHandleClassName, } = props;
    const { onPointerDown } = useDraggable({
        position: cPosition,
        onChange: (dragEvent) => {
            const { action, position } = dragEvent;
            switch (action) {
                case 'start':
                    onStart?.(position);
                    break;
                case 'move':
                    onMove?.(position);
                    break;
                case 'end':
                    onEnd?.(position);
                    break;
                default:
                    break;
            }
        },
        parentElement,
        dragHandleClassName,
    });
    return (_jsx("g", { style: {
            transform: `translate(${cPosition.x}px,${cPosition.y}px)`,
        }, onPointerDown: onPointerDown, children: typeof children === 'function' ? children(width, height) : children }));
}
