/// <reference types="react" />
export interface Position {
    x: number;
    y: number;
}
interface DragChangeCb {
    position: Position;
    action: Action;
    isActive: boolean;
}
interface UseDraggable {
    position: Position;
    parentElement?: HTMLElement | null;
    fromEdge?: boolean;
    dragHandleClassName?: string;
    onChange: (dragEvent: DragChangeCb) => void;
}
export interface Draggable {
    onPointerDown: (event: React.PointerEvent<HTMLDivElement | SVGElement>) => void;
}
type Action = 'start' | 'move' | 'end' | null;
export default function useDraggable(props: UseDraggable): Draggable;
export {};
