/** @jsxImportSource @emotion/react */
import { CSSObject } from '@emotion/react';
import { ReactNode } from 'react';
export interface DropDownListItem {
    key: string;
    label: string;
}
export interface ItemProps {
    itemKey?: string;
    labelKey?: string;
    visibleKey?: string;
}
export interface DropDownListProps<T> {
    data: T[];
    renderItem?: ((item: DropDownListItem) => ReactNode) | null;
}
interface DropDownButtonProps<T> extends DropDownListProps<T>, ItemProps {
    selectedKey?: string;
    onSelect?: (item: DropDownListItem) => void;
    formatSelectedValue?: (Item: DropDownListItem) => string;
    style?: CSSObject;
    className?: string;
}
declare function DropDownButton<T extends DropDownListItem>(props: DropDownButtonProps<T>): import("@emotion/react/jsx-runtime").JSX.Element;
export default DropDownButton;
