import { jsx as _jsx } from "react/jsx-runtime";
import { useFormikContext } from 'formik';
import lodashGet from 'lodash/get';
import { ColorPickerDropdown } from 'react-science/ui';
function FormikColorPickerDropdown(props) {
    const { onChangeComplete = () => null, name, ...colorPickerProps } = props;
    const { values, setFieldValue } = useFormikContext();
    function colorChangeHandler(color) {
        onChangeComplete(color);
        void setFieldValue(name, color.hex);
    }
    return (_jsx(ColorPickerDropdown, { ...colorPickerProps, onChangeComplete: colorChangeHandler, color: { hex: lodashGet(values, name) } }));
}
export default FormikColorPickerDropdown;
