import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { useFormikContext } from 'formik';
import lodashGet from 'lodash/get';
import { memo, useCallback } from 'react';
import Input from '../Input';
import Label from '../Label';
export const formatFieldInputStyle = {
    inputWrapper: {
        width: '60%',
        margin: '2px 0',
    },
    input: {
        padding: '2px',
        textAlign: 'center',
    },
};
export const formatFieldLabelStyle = {
    label: {
        flex: 4,
        fontSize: '11px',
        fontWeight: 'bold',
        color: '#232323',
    },
    wrapper: {
        flex: 8,
    },
};
function FormikColumnFormatField(props) {
    const { label, checkControllerName, formatControllerName, disableFormat = false, hideFormatField = false, hideCheckField = false, } = props;
    const { values, handleChange, setFieldValue } = useFormikContext();
    const changeHandler = useCallback((e) => {
        handleChange(e);
    }, [handleChange]);
    const checkChangeHandler = useCallback((e) => {
        void setFieldValue(e.target.name, e.target.checked);
    }, [setFieldValue]);
    return (_jsx(Label, { title: label, style: formatFieldLabelStyle, children: _jsxs("div", { style: {
                display: 'flex',
                alignItems: 'center',
                ...(hideFormatField && { height: '25px' }),
            }, children: [!hideCheckField && checkControllerName ? (_jsx("input", { type: "checkbox", style: { margin: '0px 5px' }, name: checkControllerName, onChange: checkChangeHandler, checked: lodashGet(values, checkControllerName, false) })) : (_jsx("div", { style: { width: '23px' } })), !hideFormatField && formatControllerName && (_jsx(Input, { style: formatFieldInputStyle, name: formatControllerName, value: lodashGet(values, formatControllerName, ''), onChange: changeHandler, type: "text", disabled: disableFormat }))] }) }));
}
export default memo(FormikColumnFormatField);
