import { jsx as _jsx } from "react/jsx-runtime";
import { useFormikContext } from 'formik';
import { useMemo } from 'react';
const styles = {
    container: {
        backgroundColor: '#fd000c',
        borderRadius: '5px',
        padding: '0.4rem',
    },
    text: {
        color: 'white',
        margin: '0.5px',
        fontSize: '0.9em',
        listStyle: 'inside',
    },
};
const getErrors = (errorObj) => {
    const result = [];
    function errorsIterators(obj) {
        for (const key in obj) {
            if (typeof obj[key] === 'object') {
                errorsIterators(obj[key]);
            }
            else {
                result.push(obj[key]);
            }
        }
    }
    errorsIterators(errorObj);
    return result;
};
function FormikErrorsSummary({ style }) {
    const { errors, isValid } = useFormikContext();
    const errorList = useMemo(() => {
        return getErrors(errors);
    }, [errors]);
    if (isValid)
        return _jsx("div", {});
    return (_jsx("ul", { style: { ...styles.container, ...style?.container }, children: errorList.map((errorText, index) => {
            return (
            // eslint-disable-next-line react/no-array-index-key
            _jsx("li", { style: { ...styles.text, ...style?.text }, children: errorText }, index));
        }) }));
}
export default FormikErrorsSummary;
