/// <reference types="react" />
import { Position, Type } from '../options';
export interface AlertOption {
    position?: Position;
    timeout?: number;
    type?: Type;
    /** CSS string color */
    backgroundColor?: string;
    /** CSS string color */
    color?: string;
    onOpen?: () => void;
}
export interface Alert {
    id: string;
    message?: string;
    options: AlertOption;
    close: () => void;
}
export interface AlertAPI {
    show: (message?: string, options?: AlertOption) => Alert;
    success: (message?: string, options?: AlertOption) => Alert;
    error: (message?: string, options?: AlertOption) => Alert;
    info: (message?: string, options?: AlertOption) => Alert;
    showLoading: (message?: string, options?: AlertOption) => Promise<() => void>;
}
export declare const AlertProvider: import("react").Provider<AlertAPI | null>;
export declare function useAlert(): AlertAPI;
