import { jsx as _jsx } from "react/jsx-runtime";
import { useEffect, useCallback } from 'react';
const styles = {
    outerContainer: {
        position: 'fixed',
        top: 0,
        right: 0,
        bottom: 0,
        left: 0,
        backgroundColor: 'rgba(255,255,255,0.8)',
        display: 'flex',
        justifyContent: 'center',
        alignItems: 'center',
        zIndex: 1,
    },
    innerContainer: {
        boxSizing: 'initial',
        backgroundColor: '#fff',
        boxShadow: '0 0 0 0, 0 8px 16px rgba(0,0,0,.30)',
        display: 'flex',
        flexDirection: 'column',
        minWidth: '300px',
        minHeight: '140px',
        justifyContent: 'space-between',
        borderRadius: '5px',
    },
};
const Modal = ({ children, open = false, onClose = () => null, style, }) => {
    const handleClose = useCallback((e) => {
        onClose(e);
    }, [onClose]);
    useEffect(() => {
        if (!open) {
            handleClose();
        }
    }, [handleClose, open]);
    return (open && (_jsx("div", { style: styles.outerContainer, onClick: handleClose, children: _jsx("div", { style: { ...styles.innerContainer, ...style }, onClick: (e) => {
                e.preventDefault();
                e.stopPropagation();
            }, children: children }) })));
};
export default Modal;
