/// <reference types="react" />
export interface Position {
    x1: number;
    x2: number;
}
type ChildType = React.ReactElement[] | React.ReactElement | boolean | null;
export interface ResizerProps {
    children?: ChildType | ((position: Position, isActive: boolean) => ChildType);
    position: Position;
    onStart?: PositionChangeHandler;
    onMove?: PositionChangeHandler;
    onEnd?: PositionChangeHandler;
    parentElement?: HTMLElement | null;
    dragHandleClassName?: string;
    disabled?: boolean;
}
type PositionChangeHandler = (data: Position) => void;
export default function SVGResizer(props: ResizerProps): import("@emotion/react/jsx-runtime").JSX.Element;
export {};
