import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
/* eslint-disable react/no-unused-prop-types */
/** @jsxImportSource @emotion/react */
import { css } from '@emotion/react';
import useResizer from './useResizer';
const style = {
    anchor: {
        width: '2px',
        height: '100%',
        pointerEvents: 'none',
        fill: 'transparent',
    },
    innerContainer: {
        position: 'absolute',
        height: '100%',
        fill: 'transparent',
        width: '10px',
        cursor: 'e-resize',
        userSelect: 'none',
        zIndex: 99999999,
    },
};
const styles = {
    container: css `
    &:hover {
      rect:last-child {
        fill: red !important;
      }
    }
  `,
};
export default function SVGResizer(props) {
    const { children, disabled, position } = props;
    const { left, right, isActive } = useResizer(props);
    return (_jsxs("g", { transform: `translate(${position.x1} 0)`, children: [typeof children === 'function' ? children(position, isActive) : children, !disabled && (_jsxs(_Fragment, { children: [' ', _jsx(SVGResizerHandle, { onPointerDown: left.onPointerDown, position: 0 }), _jsx(SVGResizerHandle, { onPointerDown: right.onPointerDown, position: Math.ceil(position.x2 - position.x1) })] }))] }));
}
function SVGResizerHandle(props) {
    return (_jsxs("g", { onPointerDown: props.onPointerDown, css: styles.container, transform: `translate(${props.position})`, "data-no-export": "true", children: [_jsx("rect", { x: "-5px", style: style.innerContainer }), _jsx("rect", { x: "-2.5px", style: style.anchor })] }));
}
