import { useChartData } from '../context/ChartContext';
import { useActiveSpectrum } from './useActiveSpectrum';
export const defaultZonesViewState = {
    showPeaks: true,
    showSignals: true,
    showZones: true,
};
export function useActiveSpectrumZonesViewState() {
    const activeSpectrum = useActiveSpectrum();
    const { view: { zones }, } = useChartData();
    if (activeSpectrum?.id &&
        activeSpectrum?.selected &&
        zones[activeSpectrum?.id]) {
        return zones[activeSpectrum?.id];
    }
    else {
        return defaultZonesViewState;
    }
}
