import { useEffect, useRef } from 'react';
export default function useCombinedRefs(refs) {
    const targetRef = useRef();
    useEffect(() => {
        for (const ref of refs) {
            if (!ref)
                return;
            if (typeof ref === 'function') {
                ref(targetRef.current);
            }
            else {
                ref.current = targetRef.current;
            }
        }
    }, [refs]);
    return targetRef;
}
