import { MultipleSpectraAnalysisPreferences, PanelsPreferences, WorkSpacePanelPreferences } from 'nmr-load-save';
import { MatrixOptions } from '../../data/types/data1d/MatrixOptions';
type Panel = 'spectra' | 'peaks' | 'integrals' | 'zones' | 'ranges' | 'database' | 'multipleSpectraAnalysis' | 'matrixGeneration' | 'prediction';
export declare function usePanelPreferences<T extends Panel>(panelKey: T, nucleus: string): T extends 'matrixGeneration' ? MatrixOptions : T extends 'multipleSpectraAnalysis' ? MultipleSpectraAnalysisPreferences : WorkSpacePanelPreferences[T];
export declare function usePanelPreferences<T extends 'database' | 'prediction'>(panelKey: T): WorkSpacePanelPreferences[T];
export type UsePanelPreferencesByNucleiResult<T extends Panel> = T extends 'spectra' ? PanelsPreferences['spectra'] : T extends 'peaks' ? PanelsPreferences['peaks'] : T extends 'integrals' ? PanelsPreferences['integrals'] : T extends 'zones' ? PanelsPreferences['zones'] : T extends 'ranges' ? PanelsPreferences['ranges'] : T extends 'multipleSpectraAnalysis' ? PanelsPreferences['multipleSpectraAnalysis'] : T extends 'matrixGeneration' ? PanelsPreferences['matrixGeneration'] : void;
export declare function usePanelPreferencesByNuclei<T extends Panel>(panelKey: T, nuclei: string[]): UsePanelPreferencesByNucleiResult<T>;
export {};
