import type { CustomWorkspaces, WorkspacePreferences as NMRiumPreferences } from 'nmr-load-save';
import { ReactElement, ReactNode } from 'react';
import { ErrorBoundaryPropsWithComponent } from 'react-error-boundary';
import { BlobObject } from '../utility/export';
import { NMRiumChangeCb, NMRiumData, NMRiumWorkspace } from './types';
export interface NMRiumProps {
    data?: NMRiumData;
    onChange?: NMRiumChangeCb;
    noErrorBoundary?: boolean;
    onError?: ErrorBoundaryPropsWithComponent['onError'];
    workspace?: NMRiumWorkspace;
    customWorkspaces?: CustomWorkspaces;
    preferences?: NMRiumPreferences;
    emptyText?: ReactNode;
    /**
     * Returns a custom spinner that will be rendered while loading data.
     */
    getSpinner?: () => ReactElement;
}
export interface NMRiumRef {
    getSpectraViewerAsBlob: () => BlobObject | null;
}
export declare const NMRium: import("react").MemoExoticComponent<import("react").ForwardRefExoticComponent<NMRiumProps & import("react").RefAttributes<NMRiumRef>>>;
