import { jsx as _jsx } from "react/jsx-runtime";
import { SplitPane } from 'react-science/ui';
import { usePreferences } from '../context/PreferencesContext';
export function SplitPaneWrapper({ children }) {
    const { current, dispatch } = usePreferences();
    const { general: { verticalSplitterPosition, verticalSplitterCloseThreshold }, display: { general = {} }, } = current;
    function resizeHandler(value) {
        dispatch({
            type: 'SET_VERTICAL_SPLITTER_POSITION',
            payload: {
                value,
            },
        });
    }
    return (_jsx(SplitPane, { size: verticalSplitterPosition, direction: "horizontal", controlledSide: "end", closed: general?.hidePanelOnLoad ? true : verticalSplitterCloseThreshold, onResize: resizeHandler, children: children }));
}
