import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "@emotion/react/jsx-runtime";
/** @jsxImportSource @emotion/react */
import { Dialog, DialogBody } from '@blueprintjs/core';
import { css } from '@emotion/react';
import { SvgLogoNmrium } from 'cheminfo-font';
import { Toolbar, useOnOff } from 'react-science/ui';
import versionInfo from '../../../versionInfo';
import Logo from '../../elements/Logo';
import AboutUsZakodium from './AboutUsZakodium';
const styles = css `
  display: flex;
  flex-direction: column;
  user-select: none;
  background-color: white;

  button:focus {
    outline: none;
  }

  .container {
    padding: 20px;
  }

  .center-container {
    display: flex;
    flex-direction: column;
    align-items: center;
  }

  ul {
    list-style-type: disc;
    margin-left: 20px;
  }

  span,
  li {
    user-select: text;
  }

  span.title {
    font-weight: bold;
    color: #ea580c;
  }

  span.content {
    color: #2b143e;
    font-size: 14px;
    text-align: left;
  }

  img {
    width: 100px;
  }

  a {
    color: #969696;
  }

  a:hover,
  a:focus {
    color: #00bcd4;
  }

  .separator {
    border-bottom: 1px solid gray;
    width: 15px;
    height: 1px;
    margin: 10px 0;
  }
`;
function AboutUsModal() {
    const [isOpenDialog, openDialog, closeDialog] = useOnOff(false);
    return (_jsxs(_Fragment, { children: [_jsx(Toolbar.Item, { onClick: openDialog, id: "logo", title: "About NMRium", icon: _jsx(SvgLogoNmrium, {}) }), _jsx(Dialog, { isOpen: isOpenDialog, onClose: closeDialog, style: {
                    maxWidth: 1000,
                    width: '40vw',
                    minWidth: '500px',
                }, title: "About NMRium", children: _jsx(DialogBody, { css: styles, children: _jsxs("div", { className: "container", children: [_jsxs("div", { className: "center-container", children: [_jsx(Logo, { width: 160, height: 50 }), "Version ", _jsx(VersionInfo, {}), _jsx("span", { className: "separator" }), _jsx("a", { href: "https://git.nmrium.org", target: "_blank", rel: "noreferrer", children: "GitHub ( https://git.nmrium.org )" })] }), _jsx("div", { className: "center-container", children: _jsx("span", { className: "separator" }) }), _jsx("span", { className: "content", children: "This project is developed by Zakodium S\u00E0rl (Switzerland), the University of Cologne (Germany), Johannes Gutenberg University Mainz (Germany) and Universidad del Valle (Colombia)." }), _jsxs("div", { className: "center-container", children: [_jsx("span", { className: "separator" }), _jsx("span", { className: "title", children: "Funding is provided by" }), _jsx("span", { className: "separator" })] }), _jsx("div", { className: "content", children: _jsxs("ul", { children: [_jsx("li", { children: "IDNMR grant, which part of the Scientific Library Services and Information Systems (LIS) initiative of the DFG." }), _jsx("li", { children: _jsx(AboutUsZakodium, {}) }), _jsx("li", { children: "Universidad del Valle (Cali, Colombia)." }), _jsx("li", { children: "This project has received funding from the European Union\u2019s Horizon 2020 research and innovation programme under grant agreement No 957189. The project is part of BATTERY 2030+, the large-scale European research initiative for inventing the sustainable batteries of the future." })] }) }), _jsx("span", { className: "separator" })] }) }) })] }));
}
export default AboutUsModal;
function VersionInfo() {
    const { version } = versionInfo;
    if (version === 'HEAD') {
        return _jsx(_Fragment, { children: "HEAD" });
    }
    else if (version.startsWith('git-')) {
        return (_jsxs("a", { href: `https://github.com/cheminfo/nmrium/tree/${version.slice(4)}`, target: "_blank", rel: "noreferrer", children: ["git-", version.slice(4, 14)] }));
    }
    else {
        return (_jsx("a", { href: `https://github.com/cheminfo/nmrium/tree/${version}`, target: "_blank", rel: "noreferrer", children: version }));
    }
}
