import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import styled from '@emotion/styled';
import { Button, useOnOff } from 'react-science/ui';
import { useDispatch } from '../../context/DispatchContext';
export default function AboutUsZakodium() {
    const [isSecretOpen, openSecret] = useOnOff();
    function handleClick(event) {
        if (event.shiftKey && event.altKey) {
            openSecret();
        }
    }
    return (_jsxs(_Fragment, { children: [_jsx("span", { onClick: handleClick, children: "Zakodium" }), ` Sàrl (Switzerland).`, isSecretOpen && _jsx(SecretThrower, {})] }));
}
const ThrowerDiv = styled.div `
  display: flex;
  flex-direction: column;
  gap: 1rem;
`;
/**
 * This component is here for us so we can test the impact of thrown exceptions
 * in the deployed application.
 */
function SecretThrower() {
    const [shouldThrow, setShouldThrow] = useOnOff();
    const dispatch = useDispatch();
    if (shouldThrow) {
        throw new Error('Error thrown in React render');
    }
    return (_jsxs(ThrowerDiv, { children: [_jsx(Button, { onClick: setShouldThrow, children: "Throw in React render" }), _jsx(Button, { onClick: () => dispatch({
                    type: 'SECRET_THROW_ERROR',
                    payload: { randomNumber: Math.random() },
                }), children: "Throw in main reducer" })] }));
}
