import { jsx as _jsx } from "react/jsx-runtime";
import { CheckBoxCell } from '../../../elements/CheckBoxCell';
import ReactTable from '../../../elements/ReactTable/ReactTable';
const LIST = [
    {
        label: 'Spectra selection panel',
        name: 'panels.spectraPanel',
    },
    {
        label: 'Spectra information panel',
        name: 'panels.informationPanel',
    },
    {
        label: 'Peaks and peak picking',
        name: 'panels.peaksPanel',
    },
    {
        label: 'Integration and integrals',
        name: 'panels.integralsPanel',
    },
    {
        label: '1D ranges peak picking',
        name: 'panels.rangesPanel',
    },
    {
        label: 'Chemical structures panel',
        name: 'panels.structuresPanel',
    },
    {
        label: 'Processings panel',
        name: 'panels.processingsPanel',
    },
    {
        label: '2D zones peak picking',
        name: 'panels.zonesPanel',
    },
    {
        label: 'Assignment summary panel',
        name: 'panels.summaryPanel',
    },
    {
        label: 'Multiple spectra analysis panel',
        name: 'panels.multipleSpectraAnalysisPanel',
    },
    {
        label: 'Databases panel',
        name: 'panels.databasePanel',
    },
    {
        label: 'Prediction panel',
        name: 'panels.predictionPanel',
    },
    {
        label: 'Automatic assignment panel',
        name: 'panels.automaticAssignmentPanel',
    },
    {
        label: 'Matrix generation Panel',
        name: 'panels.matrixGenerationPanel',
    },
    {
        label: 'Simulation panel',
        name: 'panels.simulationPanel',
    },
];
const COLUMNS = [
    {
        index: 1,
        Header: '#',
        accessor: (_, index) => index + 1,
    },
    {
        index: 1,
        Header: 'Feature',
        accessor: 'label',
        style: { width: '60%' },
    },
    {
        index: 2,
        Header: 'Active',
        Cell: ({ row }) => (_jsx(CheckBoxCell, { name: `display.${row.original.name}.display`, defaultValue: false })),
    },
    {
        index: 3,
        Header: 'Open on load',
        Cell: ({ row }) => (_jsx(CheckBoxCell, { name: `display.${row.original.name}.open`, defaultValue: false })),
    },
];
function DisplayTabContent() {
    return (_jsx("div", { style: { width: '100%', overflow: 'hidden' }, children: _jsx(ReactTable, { columns: COLUMNS, data: LIST }) }));
}
export default DisplayTabContent;
