import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "react/jsx-runtime";
import { CheckBoxCell } from '../../../elements/CheckBoxCell';
import { GroupPane } from '../../../elements/GroupPane';
import ReactTable from '../../../elements/ReactTable/ReactTable';
import FormikInput from '../../../elements/formik/FormikInput';
import FormikSelect from '../../../elements/formik/FormikSelect';
const DataSelectionOptions = [
    { label: 'FT', value: 'ft' },
    { label: 'FID', value: 'fid' },
    { label: 'Both', value: 'both' },
    { label: 'Prefer FT', value: 'preferFT' },
    { label: 'Prefer FID', value: 'preferFID' },
];
const GENERAL_LIST = [
    {
        label: 'Keep 1D',
        name: 'general.keep1D',
        fieldType: 'checkbox',
    },
    {
        label: 'Keep 2D',
        name: 'general.keep2D',
        fieldType: 'checkbox',
    },
    {
        label: 'Only Real',
        name: 'general.onlyReal',
        fieldType: 'checkbox',
    },
    {
        label: 'Data Selection',
        name: 'general.dataSelection',
        fieldType: 'select',
        options: DataSelectionOptions,
    },
];
const BRUKER_LIST = [
    {
        label: 'Processing Numbers',
        name: 'bruker.processingNumbers',
        fieldType: 'input',
    },
    {
        label: 'Experiment Numbers',
        name: 'bruker.experimentNumbers',
        fieldType: 'input',
    },
    {
        label: 'Only First Processed Data',
        name: 'bruker.onlyFirstProcessedData',
        fieldType: 'checkbox',
    },
];
const COLUMNS = [
    {
        Header: '#',
        style: { width: '10px' },
        accessor: (_, index) => index + 1,
    },
    {
        Header: 'Feature',
        accessor: 'label',
        style: { width: '70%' },
    },
    {
        Header: ' ',
        Cell: ({ row }) => {
            const fieldType = row.original.fieldType;
            switch (fieldType) {
                case 'checkbox':
                    return (_jsx(CheckBoxCell, { name: `nmrLoaders.${row.original.name}`, defaultValue: false }));
                case 'input':
                    return (_jsx(FormikInput, { name: `nmrLoaders.${row.original.name}`, type: "string", style: { input: { width: '100%', padding: 0 } } }));
                case 'select':
                    return (_jsx(FormikSelect, { name: `nmrLoaders.${row.original.name}`, style: { width: '100%' }, items: row.original.options }));
                default:
                    return _jsx("span", {});
            }
        },
    },
];
function ImportationFiltersTabContent() {
    return (_jsxs(_Fragment, { children: [_jsx(GroupPane, { text: "General", children: _jsx(ReactTable, { columns: COLUMNS, data: GENERAL_LIST }) }), _jsx(GroupPane, { text: "Bruker", children: _jsx(ReactTable, { columns: COLUMNS, data: BRUKER_LIST }) })] }));
}
export default ImportationFiltersTabContent;
