import { jsx as _jsx } from "@emotion/react/jsx-runtime";
/** @jsxImportSource @emotion/react */
import { useFormikContext } from 'formik';
import { FaTimes } from 'react-icons/fa';
import Button from '../../elements/Button';
import ReactTable from '../../elements/ReactTable/ReactTable';
import FormikInput from '../../elements/formik/FormikInput';
const inputStyle = {
    input: {
        width: '100%',
        fontSize: '1.1em',
        textAlign: 'left',
    },
};
export function ExclusionsZonesTable() {
    const { values, setFieldValue } = useFormikContext();
    if (!values?.exclusionsZones || !Array.isArray(values.exclusionsZones)) {
        return null;
    }
    function handleDelete(index) {
        void setFieldValue('exclusionsZones', values.exclusionsZones.filter((_, i) => i !== index));
    }
    const exclusionsZonesColumns = [
        {
            Header: '#',
            style: { width: '50px' },
            accessor: (_, index) => index + 1,
        },
        {
            Header: 'from',
            Cell: ({ row }) => (_jsx(FormikInput, { name: `exclusionsZones.${row.index}.from`, type: "number", style: inputStyle })),
        },
        {
            Header: 'To',
            Cell: ({ row }) => (_jsx(FormikInput, { name: `exclusionsZones.${row.index}.to`, type: "number", style: inputStyle })),
        },
        {
            Header: '',
            style: { width: '70px' },
            id: 'actions',
            Cell: ({ row }) => {
                return (_jsx(Button.Danger, { fill: "outline", onClick: () => handleDelete(row.index), children: _jsx(FaTimes, {}) }));
            },
        },
    ];
    return (_jsx(ReactTable, { columns: exclusionsZonesColumns, data: values.exclusionsZones, emptyDataRowText: "No Zones" }));
}
