import { Range, Zone } from 'nmr-processing';
import { DiaIDAndInfo } from 'openchemlib-utils';
import { AssignmentContext, Axis } from '../../assignment/AssignmentsContext';
export interface AtomData {
    oclIDs: string[];
    nbAtoms: number;
}
/**
 * Returns the OCL id(s) and number of atoms of an atom when hovering over
 * or clicking on it. This is depending on an optional given axis.
 * In case of an heavy atom with bonded hydrogens the OCL id(s)
 * and number of these hydrogens are added as well.
 *
 * @param {DiaIDAndInfo} diaIDAndInfo - atom returned by OCLnmr component
 * @param {string} activeTab - active tab
 * @param {Axis} axis - current axis
 *
 */
export declare function extractFromAtom(diaIDAndInfo: DiaIDAndInfo | undefined, activeTab: string, axis?: Axis | null): AtomData;
export declare function findDatumAndSignalIndex(data: Array<Range | Zone>, id: string): {
    datum: Range | Zone | undefined;
    signalIndex: any;
};
export declare function getHighlightsOnHover(assignments: AssignmentContext, oclIDs: any, data: any): string[];
export declare function getCurrentDiaIDsToHighlight(assignmentData: AssignmentContext): string[];
export declare function toggleDiaIDs(diaIDs: string[], atomInformation: AtomData): {
    diaIDs: string[];
    nbAtoms: number;
};
