import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
/** @jsxImportSource @emotion/react */
import { css } from '@emotion/react';
import { Fragment } from 'react';
import { FaRegTrashAlt, FaSearchPlus, FaEdit } from 'react-icons/fa';
import { SIGNAL_KINDS } from '../../../../data/constants/signalsKinds';
import Select from '../../../elements/Select';
import useEditRangeModal from '../hooks/useEditRangeModal';
const styles = css `
  width: 66px;
  padding: 0 !important;

  button {
    background-color: transparent;
    border: none;
    padding: 5px;
  }

  button:disabled {
    opacity: 0.6;
  }
`;
const selectBoxStyle = {
    marginLeft: 2,
    marginRight: 2,
    border: 'none',
    height: '20px',
};
function ActionsColumn({ row, onHoverSignal, rowSpanTags, showKind, showDeleteAction, showEditAction, showZoomAction, }) {
    const { editRange, deleteRange, changeRangeSignalKind, zoomRange } = useEditRangeModal(row);
    const showActions = showDeleteAction || showEditAction || showZoomAction;
    return (_jsxs(Fragment, { children: [showKind && (_jsx("td", { ...onHoverSignal, children: !row?.tableMetaInfo?.signal ? ('') : (_jsx(Select, { onChange: changeRangeSignalKind, items: SIGNAL_KINDS, defaultValue: row?.tableMetaInfo?.signal?.kind, style: selectBoxStyle })) })), showActions && (_jsxs("td", { ...rowSpanTags, css: styles, children: [showDeleteAction && (_jsx("button", { type: "button", className: "delete-button", onClick: () => deleteRange(), children: _jsx(FaRegTrashAlt, {}) })), showZoomAction && (_jsx("button", { type: "button", className: "zoom-button", onClick: () => zoomRange(), children: _jsx(FaSearchPlus, { title: "Zoom to range in spectrum" }) })), showEditAction && (_jsx("button", { type: "button", className: "edit-button", onClick: () => editRange(), children: _jsx(FaEdit, { color: "blue" }) }))] }))] }));
}
export default ActionsColumn;
