import { jsx as _jsx } from "react/jsx-runtime";
import lodashGet from 'lodash/get';
import { formatNumber } from '../../../utility/formatNumber';
function CouplingColumn({ row, onHover, format }) {
    const result = lodashGet(row, 'tableMetaInfo.signal.js');
    return (_jsx("td", { ...onHover, children: result
            ?.map((coupling) => !Number.isNaN(Number(coupling.coupling))
            ? formatNumber(coupling.coupling, format)
            : '')
            .join(',') }));
}
export default CouplingColumn;
