import { jsx as _jsx } from "react/jsx-runtime";
import { checkMultiplicity } from 'nmr-processing';
import { useDispatch } from '../../../context/DispatchContext';
import EditableColumn from '../../../elements/EditableColumn';
import { formatNumber } from '../../../utility/formatNumber';
function SignalDeltaColumn({ row, onHover, format, rowSpanTags, }) {
    const dispatch = useDispatch();
    const signal = row?.tableMetaInfo?.signal;
    function saveHandler(event) {
        dispatch({
            type: 'CHANGE_RANGE_SIGNAL_VALUE',
            payload: {
                value: event.target.value,
                rangeID: row.id,
                signalID: signal.id,
            },
        });
    }
    const rangeText = `${formatNumber(row.from, format)} - ${formatNumber(row.to, format)}`;
    if (!signal || !checkMultiplicity(signal.multiplicity, ['m'])) {
        return (_jsx("td", { ...rowSpanTags, ...onHover, children: rangeText }));
    }
    return (_jsx("td", { ...rowSpanTags, ...onHover, children: _jsx(EditableColumn, { value: formatNumber(signal.delta, format), onSave: saveHandler, type: "number", style: { padding: '0.1rem 0.4rem' }, validate: (val) => val !== '' }) }));
}
export default SignalDeltaColumn;
