import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { memo } from 'react';
const buttonStyle = {
    backgroundColor: 'transparent',
    border: 'none',
    width: '20px',
    height: '20px',
    margin: 'auto',
};
function ColorIndicator1D({ display }) {
    return (_jsx("div", { style: {
            backgroundColor: display.color,
            height: '12px',
            width: '12px',
            margin: 'auto',
        } }));
}
function ColorIndicator2D({ display }) {
    return (_jsx("svg", { width: "12", height: "12", viewBox: "0 0 12 12", style: { margin: 'auto' }, children: _jsxs("g", { children: [_jsx("path", { d: "M0,0H12L0,12Z", fill: display.positiveColor, strokeWidth: "0" }), _jsx("path", { d: "M12,12H0L12,0Z", fill: display.negativeColor, strokeWidth: "0" })] }) }));
}
function ColorIndicator(props) {
    const { onClick = () => null, display, dimension } = props;
    return (_jsx("button", { style: buttonStyle, type: "button", onClick: onClick, children: dimension === 2 ? (_jsx(ColorIndicator2D, { display: display })) : (_jsx(ColorIndicator1D, { display: display })) }));
}
export default memo(ColorIndicator);
