import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "react/jsx-runtime";
import { SvgNmr2D, SvgNmrFid, SvgNmrFt } from 'cheminfo-font';
const styles = {
    info: {
        display: 'block',
        alignItems: 'center',
        overflow: 'hidden',
        textOverflow: 'ellipsis',
        whiteSpace: 'nowrap',
    },
    icon: {
        width: '16px',
        height: '16px',
        display: 'inline-block',
        verticalAlign: 'middle',
        position: 'relative',
    },
};
export function SpectrumName(props) {
    return (_jsxs("div", { style: styles.info, children: [_jsx("div", { style: styles.icon, children: _jsx(SpectraIcon, { ...props }) }), _jsx("span", { children: props.data.info.name })] }));
}
function SpectraIcon(props) {
    const { data: { info: { isFt, isFid, dimension }, originalInfo, }, } = props;
    if (dimension === 1 && isFt && originalInfo?.isFid) {
        return (_jsxs(_Fragment, { children: [_jsx(SvgNmrFid, { style: { opacity: '0.3', position: 'absolute' } }), _jsx(SvgNmrFt, {})] }));
    }
    else if (dimension === 1 && isFt) {
        return _jsx(SvgNmrFt, {});
    }
    else if (isFid) {
        return _jsx(SvgNmrFid, {});
    }
    else {
        return _jsx(SvgNmr2D, {});
    }
}
