import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { Axis, Heading, Legend, LineSeries, Plot, } from 'react-plot';
export default function PlotChart({ data, sign, color, yLogBase, hideHeading = false, }) {
    return (_jsxs(Plot, { width: 180, height: 220, children: [!hideHeading && _jsx(Heading, { title: "Sanplot" }), _jsx(LineSeries, { data: data.sanPlot?.[sign] || [], xAxis: "x", yAxis: "y", label: sign, lineStyle: {
                    stroke: color,
                    strokeWidth: 1.2,
                }, markerStyle: {
                    fill: color,
                    stroke: color,
                } }), _jsx(LineSeries, { data: data.lines?.[sign] || [], xAxis: "x", yAxis: "y", label: "noise level", lineStyle: {
                    stroke: 'blue',
                    strokeWidth: 0.8,
                    strokeDasharray: '3, 3',
                }, markerStyle: {
                    fill: color,
                    stroke: color,
                } }), _jsx(Axis, { id: "x", label: "Pt", position: "bottom", tickLabelStyle: { fontSize: '0.6rem' }, labelStyle: { fontSize: '0.6rem' } }), _jsx(Axis, { id: "y", label: `Intensity [Log${yLogBase}]`, position: "left", tickLabelStyle: { fontSize: '0.6rem' }, labelStyle: { fontSize: '0.7rem' } }), _jsx(Legend, { position: "embedded", bottom: 5, right: 60 })] }));
}
