import { jsx as _jsx, jsxs as _jsxs, Fragment as _Fragment } from "@emotion/react/jsx-runtime";
/** @jsxImportSource @emotion/react */
import { css } from '@emotion/react';
import { Formik } from 'formik';
import FormikColorPicker from '../../../../elements/formik/FormikColorPicker';
import FormikInput from '../../../../elements/formik/FormikInput';
import FormikOnChange from '../../../../elements/formik/FormikOnChange';
import FormikSlider from '../../../../elements/formik/FormikSlider';
import Spectrum2DHistogram from './Spectrum2DHistogram';
const style = (color) => css `
  display: inline-block;

  .track-1 {
    background-color: ${color} !important;
  }
`;
function Spectrum2DSetting({ data: SpectrumData, onSubmit, }) {
    const { positiveColor, negativeColor } = SpectrumData.display;
    return (_jsx(Formik, { onSubmit: onSubmit, initialValues: SpectrumData.display, children: _jsxs(_Fragment, { children: [_jsxs("div", { children: [_jsxs("div", { css: style(positiveColor), children: [_jsx("span", { style: { padding: '0 10px' }, children: "Positive" }), _jsx(FormikColorPicker, { name: "positiveColor" }), _jsxs("div", { style: { padding: '5px' }, children: [_jsx("span", { className: "label", children: "contour Levels [ min - max ]" }), _jsx(FormikSlider, { name: "contourOptions.positive.contourLevels", debounceTime: 100 }), _jsx("span", { className: "label", children: "number of Layers " }), _jsx(FormikInput, { name: "contourOptions.positive.numberOfLayers", type: "number", debounceTime: 250 })] })] }), _jsxs("div", { css: style(negativeColor), children: [_jsx("span", { style: { padding: '0 10px' }, children: "Negative" }), _jsx(FormikColorPicker, { name: "negativeColor" }), _jsxs("div", { style: { padding: '5px' }, children: [_jsx("span", { className: "label", children: "contour Levels [ min - max ]" }), _jsx(FormikSlider, { name: "contourOptions.negative.contourLevels", debounceTime: 100 }), _jsx("span", { className: "label", children: "number of Layers " }), _jsx(FormikInput, { name: "contourOptions.negative.numberOfLayers", type: "number", debounceTime: 250 })] })] }), _jsx(Spectrum2DHistogram, { data: SpectrumData.data })] }), _jsx(FormikOnChange, { onChange: onSubmit })] }) }));
}
export default Spectrum2DSetting;
