import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
/** @jsxImportSource @emotion/react */
import { css } from '@emotion/react';
import { useEffect, useState } from 'react';
import { CloseButton } from '../../elements/CloseButton';
const modalContainer = css `
  width: 220px;
  height: 270px;
  padding: 5px;
  text-align: center;

  button {
    flex: 2;
    padding: 5px;
    border: 1px solid gray;
    border-radius: 5px;
    height: 30px;
    margin: 0 auto;
    margin-top: 15px;
    display: block;
    width: 20%;
    color: white;
    background-color: gray;
  }

  button:focus {
    outline: none;
  }

  .header {
    height: 24px;
    border-bottom: 1px solid #f0f0f0;
    display: flex;
    align-items: center;

    span {
      color: #464646;
      font-size: 15px;
      flex: 1;
      user-select: none;
    }

    button {
      height: 36px;
      margin: 2px;
      background-color: transparent;
      border: none;

      svg {
        height: 16px;
      }
    }
  }

  table {
    margin-top: 10px;
    width: 100%;

    input::-webkit-outer-spin-button,
    input::-webkit-inner-spin-button {
      appearance: none;
    }

    input {
      width: 100px;
      text-align: center;
      border-radius: 5px;
      border: 0.55px solid #c7c7c7;
    }
  }
`;
export default function SetShiftToleranceModal({ onClose, onSave, previousTolerance, }) {
    const [tolerance, setTolerance] = useState();
    const [isValid, setIsValid] = useState({});
    useEffect(() => {
        if (previousTolerance) {
            setTolerance(previousTolerance);
            setIsValid(Object.fromEntries(Object.keys(previousTolerance).map((atomType) => [atomType, true])));
        }
        else {
            setTolerance(undefined);
        }
    }, [previousTolerance]);
    function onSaveHandler() {
        onSave?.(tolerance);
        onClose?.();
    }
    function onChangeHandler(e, atomType) {
        const value = e.target.value;
        if (value.trim().length > 0) {
            setTolerance({ ...tolerance, [atomType]: Number(value) });
            setIsValid({ ...isValid, [atomType]: true });
        }
        else {
            setIsValid({ ...isValid, [atomType]: false });
        }
    }
    return (_jsxs("div", { css: modalContainer, children: [_jsxs("div", { className: "header handle", children: [_jsx("span", { children: "Set Shift Tolerances" }), _jsx(CloseButton, { title: "Close", onClick: onClose })] }), _jsxs("table", { children: [_jsx("thead", { children: _jsxs("tr", { children: [_jsx("th", { children: "Atom" }), _jsx("th", { children: "Value" })] }) }), _jsx("tbody", { children: _jsx(Rows, { onChange: onChangeHandler, isValid: isValid, tolerance: tolerance }) })] }), _jsx("button", { type: "button", onClick: onSaveHandler, disabled: Object.keys(isValid).some((atomType) => !isValid[atomType]), children: "Set" })] }));
}
function Rows({ tolerance, onChange, isValid }) {
    return Object.keys(tolerance).map((atomType) => {
        return (_jsxs("tr", { children: [_jsx("td", { children: atomType }), _jsx("td", { children: _jsx("input", { type: "number", onChange: (e) => onChange(e, atomType), defaultValue: tolerance[atomType], style: !isValid[atomType] ? { backgroundColor: 'orange' } : {} }) })] }, `tolerance_${atomType}`));
    });
}
