import { Correlation, Link } from 'nmr-correlation';
import { Spectrum2D, Spectrum, ActiveSpectrum } from 'nmr-load-save';
import { DisplayerMode } from '../../../reducer/Reducer';
declare function getAtomType(nucleus: string): string;
declare function getLabelColor(correlationData: any, correlation: any): string | null;
declare function findSignalMatch1D(spectrum: Spectrum2D, link: Link, factor: number, xDomain0: number, xDomain1: number): boolean;
declare function findSignalMatch2D(spectrum: Spectrum2D, link: Link, factor: number, xDomain0: number, xDomain1: number, yDomain0: number, yDomain1: number): boolean;
declare function getAbbreviation(link: Link): string;
declare function buildNewLink1D(link: any): Link;
declare function buildNewLink2D(link: Link, axis: 'x' | 'y'): Link;
declare function cloneCorrelationAndEditLink(correlation: Correlation, link: Link, axis: 'x' | 'y', action: 'add' | 'remove' | 'unmove'): Correlation;
declare function getEditedCorrelations({ correlationDim1, correlationDim2, selectedCorrelationIdDim1, selectedCorrelationIdDim2, action, link, correlations, }: {
    correlationDim1: Correlation;
    correlationDim2: Correlation;
    action: 'move' | 'remove' | 'unmove' | 'setPathLength';
    selectedCorrelationIdDim1: string | undefined;
    selectedCorrelationIdDim2: string | undefined;
    link: Link;
    correlations: Correlation[];
}): {
    editedCorrelations: Correlation[];
    buildCorrelationDataOptions: {
        skipDataUpdate?: boolean | undefined;
    };
};
declare function convertValuesString(valuesString: string, key: 'protonsCount' | 'hybridization'): number[];
declare function isInView(spectraData: Spectrum[], activeTab: string, activeSpectrum: ActiveSpectrum | null, xDomain: number[], yDomain: number[], displayerMode: DisplayerMode, correlation: Correlation): boolean;
export { buildNewLink1D, buildNewLink2D, cloneCorrelationAndEditLink, convertValuesString, findSignalMatch1D, findSignalMatch2D, getAbbreviation, getAtomType, getEditedCorrelations, getLabelColor, isInView, };
