import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { RemoveAssignmentsButton, removeAssignmentCssStyle, } from '../../../elements/RemoveAssignmentsButton';
function SignalAssignmentsColumn({ rowData, assignment, highlight, onHover, onClick, onUnlink, axis, }) {
    const diaIDs = rowData?.tableMetaInfo?.signal?.[axis]?.diaIDs || [];
    const isAssignmentActive = assignment.isActive && assignment.activated?.axis === axis;
    const tdCss = assignment.isActive || highlight.isActive
        ? {
            color: 'red',
            fontWeight: 'bold',
        }
        : {};
    return (_jsx("td", { ...onHover, onClick: (e) => onClick(e, assignment, axis), style: { padding: '0', ...tdCss }, css: !isAssignmentActive && removeAssignmentCssStyle, children: (diaIDs?.length > 0 || isAssignmentActive) && (_jsxs(_Fragment, { children: [_jsx("span", { children: diaIDs?.length || 0 }), _jsx(RemoveAssignmentsButton, { onClick: (e) => onUnlink(e, false, axis) })] })) }));
}
export default SignalAssignmentsColumn;
