import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { RemoveAssignmentsButton, removeAssignmentCssStyle, } from '../../../elements/RemoveAssignmentsButton';
function getStyle(flag, isCompletelyAssigned) {
    if (flag) {
        return {
            color: 'red',
            fontWeight: 'bold',
        };
    }
    else if (isCompletelyAssigned) {
        return { color: 'green', fontWeight: 'bold' };
    }
    else {
        return { color: 'black', fontWeight: 'normal' };
    }
}
function ZoneAssignmentColumn({ rowData, assignment, highlight, onHover, onClick, onUnlink, axis, rowSpanTags, }) {
    const diaIDs = rowData?.[axis].diaIDs || []; // diaIds at the level of zone
    const isAssignmentActive = assignment.isActive && assignment.activated?.axis === axis;
    const flag = isAssignmentActive ||
        (assignment.isOver && assignment.highlighted?.axis === axis) ||
        highlight.isActive;
    let totalNumberOfAtoms = rowData?.[axis]?.nbAtoms || 0;
    for (const signal of rowData?.signals || []) {
        totalNumberOfAtoms += signal?.[axis]?.nbAtoms || 0;
    }
    return (_jsx("td", { ...rowSpanTags, ...onHover, onClick: (e) => onClick(e, assignment, axis), css: !isAssignmentActive && removeAssignmentCssStyle, children: (totalNumberOfAtoms > 0 || isAssignmentActive) && (_jsxs(_Fragment, { children: [totalNumberOfAtoms, " ", ' ( ', _jsx("span", { style: getStyle(flag, false), children: diaIDs?.length || 0 }), ' ) ', _jsx(RemoveAssignmentsButton, { onClick: (e) => onUnlink(e, true, axis) })] })) }));
}
export default ZoneAssignmentColumn;
