import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
/** @jsxImportSource @emotion/react */
import { useFormikContext } from 'formik';
import { memo, useEffect, useState } from 'react';
import evaluate from '../../../utility/Evaluate';
const initCode = `function run(data) {

  return JSON.stringify(data,undefined, 2);
  
}(args);
`;
function MultipleAnalysisCodeEditor({ data }) {
    const { values, setFieldValue } = useFormikContext();
    const [code, setCode] = useState(values.code || initCode);
    const [result, setResult] = useState('');
    useEffect(() => {
        const evalResult = evaluate(code, data);
        if (evalResult instanceof Error) {
            setResult(evalResult.message);
        }
        else {
            void setFieldValue('code', code);
            setResult(evalResult);
        }
    }, [code, data, setFieldValue]);
    return (_jsxs("div", { style: { marginTop: '20px' }, children: [_jsx("textarea", { value: code, onChange: (event) => setCode(event.target.value), style: {
                    fontFamily: '"Fira code", "Fira Mono", monospace',
                    fontSize: 12,
                    padding: '1em',
                    width: '90%',
                    backgroundColor: '#fcfcfc',
                    marginBottom: '10px',
                    minHeight: '100px',
                    overflow: 'auto',
                    maxHeight: '200px',
                } }), _jsx("p", { style: { marginBottom: '5px' }, children: "Result:" }), _jsx("textarea", { value: result, readOnly: true, style: {
                    border: '0.55px solid #f3f3f3',
                    fontFamily: '"Fira code", "Fira Mono", monospace',
                    fontSize: 12,
                    padding: '1em',
                    width: '90%',
                    marginBottom: '10px',
                    minHeight: '100px',
                    overflow: 'auto',
                    maxHeight: '200px',
                } })] }));
}
export default memo(MultipleAnalysisCodeEditor);
