import { Draft } from 'immer';
import { Tolerance, Options as CorrelationOptions, Correlation, Values as CorrelationValues } from 'nmr-correlation';
import { AssignmentContext } from '../../assignment/AssignmentsContext';
import { State } from '../Reducer';
import { ActionType } from '../types/ActionType';
type SetMFAction = ActionType<'SET_CORRELATIONS_MF', {
    mf: string;
}>;
type SetToleranceAction = ActionType<'SET_CORRELATIONS_TOLERANCE', {
    tolerance: Tolerance;
}>;
type SetCorrelationAction = ActionType<'SET_CORRELATION', {
    id: string;
    correlation: Correlation;
    options?: CorrelationOptions;
}>;
type SetCorrelationsAction = ActionType<'SET_CORRELATIONS', {
    correlations: CorrelationValues;
    options: CorrelationOptions;
}>;
type DeleteCorrelationAction = ActionType<'DELETE_CORRELATION', {
    correlation: Correlation;
    assignmentData: AssignmentContext;
}>;
export type CorrelationsActions = SetMFAction | SetToleranceAction | SetCorrelationAction | SetCorrelationsAction | DeleteCorrelationAction;
declare function handleUpdateCorrelations(draft: Draft<State>): void;
declare function handleSetMF(draft: Draft<State>, action: SetMFAction): void;
declare function handleSetTolerance(draft: Draft<State>, action: SetToleranceAction): void;
declare function handleSetCorrelation(draft: Draft<State>, action: SetCorrelationAction): void;
declare function handleSetCorrelations(draft: Draft<State>, action: SetCorrelationsAction): void;
declare function handleDeleteCorrelation(draft: Draft<State>, action: DeleteCorrelationAction): void;
export { handleDeleteCorrelation, handleSetCorrelation, handleSetCorrelations, handleSetMF, handleSetTolerance, handleUpdateCorrelations, };
