import { Draft } from 'immer';
import { Spectrum1D } from 'nmr-load-save';
import { NMRRange } from 'nmr-processing';
import { ResurrectSpectrumInfo } from '../../../data/data1d/Spectrum1D/ranges/generateSpectrumFromRanges';
import { State } from '../Reducer';
import { ActionType } from '../types/ActionType';
type ResurrectSpectrumFromJcampAction = ActionType<'RESURRECTING_SPECTRUM_FROM_JCAMP', {
    ranges: NMRRange[];
    spectrum: Spectrum1D;
}>;
type ResurrectSpectrumFromRangesAction = ActionType<'RESURRECTING_SPECTRUM_FROM_RANGES', {
    ranges: NMRRange[];
    info: ResurrectSpectrumInfo;
}>;
export type DatabaseActions = ActionType<'TOGGLE_SIMILARITY_TREE'> | ResurrectSpectrumFromJcampAction | ResurrectSpectrumFromRangesAction;
declare function handleResurrectSpectrumFromJcamp(draft: Draft<State>, action: ResurrectSpectrumFromJcampAction): void;
declare function handleResurrectSpectrumFromRanges(draft: Draft<State>, action: ResurrectSpectrumFromRangesAction): void;
declare function handleToggleSimilarityTree(draft: Draft<State>): void;
export { handleResurrectSpectrumFromRanges, handleResurrectSpectrumFromJcamp, handleToggleSimilarityTree, };
