import { Draft } from 'immer';
import { State } from '../Reducer';
import { ActionType } from '../types/ActionType';
type SetXDomainAction = ActionType<'SET_X_DOMAIN', {
    xDomain: [number, number];
}>;
type SetYDomainAction = ActionType<'SET_Y_DOMAIN', {
    yDomain: [number, number];
}>;
type MoveXAxisAction = ActionType<'MOVE', {
    shiftX: number;
    shiftY: number;
}>;
export type DomainActions = SetXDomainAction | SetYDomainAction | MoveXAxisAction;
declare function getDomain(draft: Draft<State>): {
    xDomain: [number, number] | never[] | [undefined, undefined];
    yDomain: [number, number] | never[] | [undefined, undefined];
    yDomains: Record<string, number[]>;
    xDomains: Record<string, number[]>;
};
export interface SetDomainOptions {
    updateYDomain?: boolean;
    isYDomainShared?: boolean;
    updateXDomain?: boolean;
}
declare function setDomain(draft: Draft<State>, options?: SetDomainOptions): void;
declare function setMode(draft: Draft<State>): void;
declare function handleSetXDomain(draft: Draft<State>, action: SetXDomainAction): void;
declare function handleSetYDomain(draft: Draft<State>, action: SetYDomainAction): void;
declare function handleMoveOverXAxis(draft: Draft<State>, action: MoveXAxisAction): void;
export { getDomain, setDomain, setMode, handleSetXDomain, handleSetYDomain, handleMoveOverXAxis, };
