import { Draft } from 'immer';
import { IntegralsViewState } from 'nmr-load-save';
import { Integral } from 'nmr-processing';
import { SetSumOptions } from '../../../data/data1d/Spectrum1D/SumManager';
import { FilterType } from '../../utility/filterType';
import { State } from '../Reducer';
import { ActionType } from '../types/ActionType';
type ChangeIntegralSumAction = ActionType<'CHANGE_INTEGRAL_SUM', {
    options: SetSumOptions;
}>;
type AddIntegralAction = ActionType<'ADD_INTEGRAL', {
    startX: number;
    endX: number;
}>;
type DeleteIntegralAction = ActionType<'DELETE_INTEGRAL', {
    id?: string;
}>;
type ChangeIntegralAction = ActionType<'CHANGE_INTEGRAL' | 'RESIZE_INTEGRAL', {
    integral: Integral;
}>;
type ChangeIntegralRelativeValueAction = ActionType<'CHANGE_INTEGRAL_RELATIVE', {
    id: string;
    value: number;
}>;
type CutIntegralAction = ActionType<'CUT_INTEGRAL', {
    cutValue: number;
}>;
type ToggleIntegralsViewAction = ActionType<'TOGGLE_INTEGRALS_VIEW_PROPERTY', {
    key: keyof FilterType<IntegralsViewState, boolean>;
}>;
export type IntegralsActions = ChangeIntegralSumAction | AddIntegralAction | DeleteIntegralAction | ChangeIntegralAction | ChangeIntegralRelativeValueAction | CutIntegralAction | ToggleIntegralsViewAction | ActionType<'CHANGE_INTEGRALS_SUM_FLAG'>;
declare function handleChangeIntegralSum(draft: Draft<State>, action: ChangeIntegralSumAction): void;
declare function handleAddIntegral(draft: Draft<State>, action: AddIntegralAction): void;
declare function handleDeleteIntegral(draft: Draft<State>, action: DeleteIntegralAction): void;
declare function handleChangeIntegral(draft: Draft<State>, action: ChangeIntegralAction): void;
declare function handleChangeIntegralsRelativeValue(draft: Draft<State>, action: ChangeIntegralRelativeValueAction): void;
declare function handleChangeIntegralsSumFlag(draft: any): void;
declare function handleCutIntegral(draft: Draft<State>, action: CutIntegralAction): void;
declare function handleToggleIntegralsViewProperty(draft: Draft<State>, action: ToggleIntegralsViewAction): void;
export { handleCutIntegral, handleChangeIntegralSum, handleAddIntegral, handleDeleteIntegral, handleChangeIntegral, handleChangeIntegralsRelativeValue, handleChangeIntegralsSumFlag, handleToggleIntegralsViewProperty, };
