import { Draft } from 'immer';
import { Spectrum, NmriumState, SpectraColors } from 'nmr-load-save';
import { ParseResult } from 'papaparse';
import { StateMoleculeExtended } from '../../../data/molecules/Molecule';
import { UsedColors } from '../../../types/UsedColors';
import { State } from '../Reducer';
import { ActionType } from '../types/ActionType';
interface InitiateProps {
    nmriumState: Partial<NmriumState>;
}
interface InputProps extends InitiateProps {
    containsNmrium?: boolean;
    usedColors?: UsedColors;
    parseMetaFileResult?: ParseResult<any> | null;
    resetSourceObject?: boolean;
    spectraColors?: SpectraColors;
}
type SetIsLoadingAction = ActionType<'SET_LOADING_FLAG', {
    isLoading: boolean;
}>;
type LoadDropFilesAction = ActionType<'LOAD_DROP_FILES', InputProps>;
type InitiateAction = ActionType<'INITIATE', InitiateProps>;
export type LoadActions = SetIsLoadingAction | LoadDropFilesAction | InitiateAction;
declare function initSpectra(inputSpectra: Spectrum[], options: {
    usedColors: UsedColors;
    molecules: StateMoleculeExtended[];
    spectraColors: SpectraColors;
}): any;
declare function handleSetIsLoading(draft: Draft<State>, action: SetIsLoadingAction): void;
declare function handleInitiate(draft: Draft<State>, action: InitiateAction): State | undefined;
declare function handleLoadDropFiles(draft: Draft<State>, action: LoadDropFilesAction): State | undefined;
export { handleSetIsLoading, initSpectra, handleInitiate, handleLoadDropFiles };
