import { Draft } from 'immer';
import { State, VerticalAlignment } from '../Reducer';
import { ActionType } from '../types/ActionType';
type KeyPreferencesAction = ActionType<'SET_KEY_PREFERENCES' | 'APPLY_KEY_PREFERENCES', {
    keyCode: string;
}>;
export type PreferencesActions = KeyPreferencesAction;
interface AlignmentOptions {
    verticalAlign?: VerticalAlignment | 'auto-check';
    activeTab?: string;
}
declare function changeSpectrumVerticalAlignment(draft: Draft<State>, options: AlignmentOptions): void;
declare function handleSetKeyPreferences(draft: Draft<State>, action: KeyPreferencesAction): void;
declare function handleApplyKeyPreferences(draft: Draft<State>, action: KeyPreferencesAction): void;
export { changeSpectrumVerticalAlignment, handleSetKeyPreferences, handleApplyKeyPreferences, };
