import { Draft } from 'immer';
import { State } from '../Reducer';
export declare const ZOOM_TYPES: {
    readonly HORIZONTAL: "HORIZONTAL";
    readonly VERTICAL: "VERTICAL";
    readonly STEP_HORIZONTAL: "STEP_HORIZONTAL";
    readonly FULL: "FULL";
};
export type ZoomType = keyof typeof ZOOM_TYPES;
declare function toScaleRatio(event: WheelEvent, zoomOptions?: ZoomOptions): number;
interface ZoomOptions {
    factor?: number;
    invert?: boolean;
}
declare function wheelZoom(event: WheelEvent, domain: number[], zoomOptions?: ZoomOptions): number[];
declare function setZoom(draft: Draft<State>, options?: {
    scale?: number;
    spectrumID?: string;
}): void;
export { setZoom, wheelZoom, toScaleRatio };
