import { Draft } from 'immer';
import { Layout } from '../../2d/utilities/DimensionLayout';
import { State } from '../Reducer';
interface HistoryItem {
    xDomain: number[];
    yDomain: number[];
}
export type ZoomHistory = Record<string, HistoryItem[]>;
interface ZoomHistoryManager {
    historyStack: HistoryItem[];
    push: (value: HistoryItem) => void;
    pop: () => HistoryItem;
    getLast: () => HistoryItem;
    clear: () => void;
}
export default function zoomHistoryManager(zoomHistory: ZoomHistory, nucleus: string, baseZoom?: HistoryItem): ZoomHistoryManager;
export declare function addToBrushHistory(draft: Draft<State>, options: {
    trackID?: Layout | null;
    xDomain: number[];
    yDomain: number[];
}): void;
export {};
