import { max } from 'd3';
import { getActiveSpectrum } from './getActiveSpectrum';
export function getStrongestPeak(draft) {
    const activeSpectrum = getActiveSpectrum(draft);
    if (activeSpectrum) {
        const activeData = draft.data[activeSpectrum?.index].data;
        const strongestPeakValue = max(activeData.re);
        const index = activeData.re.indexOf(strongestPeakValue);
        return {
            xValue: activeData.x[index],
            yValue: strongestPeakValue,
            index,
        };
    }
}
