import { defaultRangesViewState } from '../../hooks/useActiveSpectrumRangesViewState';
import { getActiveSpectrum } from './getActiveSpectrum';
export function setRangesViewProperty(draft, key, value) {
    const viewData = draft.view.ranges;
    const activeSpectrum = getActiveSpectrum(draft);
    if (!activeSpectrum?.id)
        return;
    const id = activeSpectrum.id;
    if (viewData[id]) {
        viewData[id][key] =
            typeof value === 'function' ? value(viewData[id][key]) : value;
    }
    else {
        const defaultView = { ...defaultRangesViewState };
        defaultView[key] =
            typeof value === 'function' ? value(defaultView[key]) : value;
        viewData[id] = defaultView;
    }
}
