import { v4 } from '@lukeed/uuid';
import lodashMerge from 'lodash/merge';
import { getLocalStorage, storeData } from '../../../utility/LocalStorage';
import { workspaceDefaultProperties } from '../../../workspaces/workspaceDefaultProperties';
export function addWorkspace(draft, action) {
    const { workspaceKey, data } = action.payload;
    // eslint-disable-next-line unicorn/prefer-logical-operator-over-ternary
    const workSpaceData = data
        ? data
        : draft.workspaces?.[draft.workspace.current];
    if (workSpaceData) {
        const newWorkSpace = lodashMerge({}, workspaceDefaultProperties, workSpaceData, {
            version: 1,
            label: workspaceKey,
            source: 'user',
        });
        const newWorkspaceKey = v4();
        const localData = getLocalStorage('nmr-general-settings');
        localData.currentWorkspace = newWorkspaceKey;
        localData.workspaces[newWorkspaceKey] = newWorkSpace;
        storeData('nmr-general-settings', JSON.stringify(localData));
        draft.workspaces[newWorkspaceKey] = newWorkSpace;
        draft.originalWorkspaces[newWorkspaceKey] =
            newWorkSpace;
        draft.workspace.current = newWorkspaceKey;
    }
}
