import { NMRiumToolBarPreferences } from 'nmr-load-save';
import type { Info1D, Info2D } from 'nmr-processing';
import { DisplayerMode } from '../reducer/Reducer';
type InfoKey = keyof Info1D | keyof Info2D;
export interface ToolOptionItem {
    id: string;
    label: string;
    mode?: DisplayerMode;
    spectraOptions?: Array<{
        info?: Array<{
            key: InfoKey;
            value: any;
        }>;
        active: true;
    } | {
        active: false;
    }>;
    isToggle: boolean;
    hasOptionPanel: boolean;
    isFilter: boolean;
    isExperimental?: true;
}
export type Tool = keyof NMRiumToolBarPreferences | 'HMove' | 'equalizer' | 'generalSelector' | 'editRange' | 'databaseRangesSelection' | 'matrixGenerationExclusionZones';
type RecordOptions = Record<Tool, ToolOptionItem>;
export declare const options: RecordOptions;
export {};
