import { SerializedStyles } from '@emotion/react';
import { SpectraTableColumn } from 'nmr-load-save';
/**
 * export the experiments result in JSON format
 * @param data
 * @param fileName
 * @param spaceIndent
 * @param isCompressed
 */
declare function exportAsJSON(data: any, fileName?: string, spaceIndent?: number, isCompressed?: boolean): Promise<void>;
declare function exportAsMatrix(data: any, spectraColumns: SpectraTableColumn[], fileName?: string): void;
declare function exportAsNMRE(data: any, fileName?: string): void;
declare function exportAsMol(data: any, fileName?: string): void;
/**
 * export the vitalization result as SVG, if you need to remove some content during exportation process enclose the the content with <!-- export-remove --> ${content} <!-- export-remove -->
 */
declare function exportAsSVG(rootRef: HTMLDivElement, elementID: string, fileName?: string): void;
declare function exportAsPng(rootRef: HTMLDivElement, elementID: string, fileName?: string): void;
declare function copyPNGToClipboard(rootRef: HTMLDivElement, elementID: string, css?: SerializedStyles): Promise<void>;
export interface BlobObject {
    blob: Blob;
    width: number;
    height: number;
}
declare function getBlob(rootRef: HTMLDivElement, elementID: string, css?: SerializedStyles): BlobObject;
export { exportAsSVG, exportAsJSON, exportAsNMRE, exportAsPng, copyPNGToClipboard, exportAsMol, exportAsMatrix, getBlob, };
