import numeral from 'numeral';
function formatNumber(value, format, options = {}) {
    const { prefix = '', suffix = '', defaultFormat = '0.00' } = options;
    const formattedValue = numeral(value).format(format || defaultFormat);
    if (prefix || suffix) {
        return prefix + formattedValue + suffix;
    }
    return formattedValue;
}
function getNumberOfDecimals(value) {
    value = String(value).trim();
    const lastIndex = value.lastIndexOf('.');
    return lastIndex > 0 ? value.slice(lastIndex).split('').length - 1 : 0;
}
export { formatNumber, getNumberOfDecimals };
