import { Spectrum, Workspace } from 'nmr-load-save';
import { State } from '../component/reducer/Reducer';
export declare enum DataExportOptions {
    ROW_DATA = "ROW_DATA",
    DATA_SOURCE = "DATA_SOURCE",
    NO_DATA = "NO_DATA"
}
export type DataExportOptionsType = keyof typeof DataExportOptions;
type ExportTarget = 'nmrium' | 'onChange';
export interface ExportOptions {
    dataType?: DataExportOptionsType;
    view?: boolean;
    settings?: boolean;
    serialize?: boolean;
    exportTarget?: ExportTarget;
}
export declare function addJcamp(output: any, jcamp: any, options: any, usedColors: any): void;
/**
 *
 * @param {object} state
 */
export declare function toJSON(state: Partial<State>, preferencesState: Partial<{
    current: Workspace;
}>, options?: ExportOptions): any;
export declare const DataExportStage: {
    readonly Original: "ORIGINAL";
    readonly Processed: "PROCESSED";
};
export type DataExportStageStrings = (typeof DataExportStage)[keyof typeof DataExportStage];
export interface ExportAsJcampOptions {
    onlyReal?: boolean;
    dataExportStage?: DataExportStageStrings;
}
export declare function exportAsJcamp(spectrum: Spectrum, options?: ExportAsJcampOptions): void;
export {};
