import { Draft } from 'immer';
import { Integrals, Ranges, SumOptions } from 'nmr-processing';
import { State } from '../../../component/reducer/Reducer';
import { StateMoleculeExtended } from '../../molecules/Molecule';
export interface SumParams {
    nucleus: string;
    molecules: StateMoleculeExtended[];
}
export type SetSumOptions = Omit<SumOptions, 'isSumConstant'>;
export declare function initSumOptions(options: Partial<SumOptions>, params: SumParams): SumOptions;
export declare function getSum(mf: string | null | undefined, nucleus: string): number;
export declare function setSumOptions(data: Ranges | Integrals, params: {
    options: SetSumOptions;
    nucleus: string;
}): void;
export declare function getAtoms(mf: string): Record<string, number>;
/**
 * change the sum for ranges and integrals in all spectra based on molecule
 * it handle three cases
 * 1 - edit and existing molecule
 * 2- delete molecule / edit molecule and as a result of that it generate more than one molecule
 * 3- add a molecule for the first time
 * @param draft     State draft
 * @param molId    Molecule id
 * @param molecule  Molecules list
 */
export declare function changeSpectraRelativeSum(draft: Draft<State>, molId: string, molecule: StateMoleculeExtended): void;
