import { Range, Signal1D } from 'nmr-processing';
/**
 * Links object that use coupling as key and value is an array of objects {id:signal id ,x:signal delta,y:coupling}
 */
interface Coupling {
    coupling: number;
    delta: number;
}
export interface CouplingLink {
    id: string;
    couplings: Coupling[];
    from: number;
    to: number;
}
interface GenerateJGraphDataResult {
    signals: Signal1D[];
    jCouplingMax: number;
    links: CouplingLink[];
}
export default function generateJGraphData(ranges: Range[], jGraphTolerance: number): GenerateJGraphDataResult | null;
export {};
