import { generateColor } from '../../utilities/generateColor';
import { getCustomColor } from '../../utilities/getCustomColor';
export function get1DColor(spectrum, options) {
    const { regenerate = false, usedColors = {}, colors } = options;
    let color = 'black';
    if (!spectrum?.display?.color || regenerate) {
        const customColor = getCustomColor(spectrum, colors);
        if (customColor) {
            color = customColor;
        }
        else {
            color = generateColor(false, usedColors?.['1d'] || []);
        }
    }
    else {
        color = spectrum.display.color;
    }
    if (usedColors['1d']) {
        usedColors['1d'].push(color);
    }
    return { color };
}
