/**
 * @typedef {Object} datum
 * @property {number[]} x - The X points series
 * @property {number[]} y - The Y points series
 */
/**
 *
 * @param spectrum 1d spectrum
 * @returns {datum} datum object includes x and y series
 */
export function get1DDataXY(spectrum) {
    const { display: { isRealSpectrumVisible }, data: { x, re, im }, } = spectrum;
    return { x, y: isRealSpectrumVisible || !im ? re : im };
}
