import { Spectrum1D } from 'nmr-load-save';
import { Signal1D } from 'nmr-processing';
interface RangeOptions {
    from: number;
    to: number;
}
export declare function createRangeObj({ from, to, absolute, signals, }: RangeOptions & {
    signals: Array<Omit<Signal1D, 'id'>>;
    absolute: number;
}): {
    id: string;
    from: number;
    to: number;
    absolute: number;
    signals: {
        peaks?: import("nmr-processing").NMRPeak1D[] | undefined;
        kind?: string | undefined;
        assignment?: string | undefined;
        diaIDs?: string[] | undefined;
        integration?: number | undefined;
        multiplicity: string;
        nbAtoms?: number | undefined;
        js: import("nmr-processing").Jcoupling[];
        delta: number;
        atoms?: number[] | undefined;
        statistic?: {
            mean: number;
            sd: number;
            min: number;
            max: number;
            nb: number;
        } | undefined;
        originalDelta?: number | undefined;
        id: string;
    }[];
    kind: "signal";
    integration: number;
};
export declare function addRange(spectrum: Spectrum1D, options: RangeOptions): void;
export {};
