import { Spectrum1D } from 'nmr-load-save';
import { Ranges } from 'nmr-processing';
export declare function initiateRanges(inputSpectrum: Partial<Spectrum1D>, spectrum: Spectrum1D, options: Ranges['options']): {
    values: never[];
    options: import("nmr-processing").SumOptions;
} & {
    values: {
        absolute: number;
        signals: {
            originalDelta: number | undefined;
            delta: number;
            multiplicity: string;
            js: import("nmr-processing").Jcoupling[];
            diaIDs?: string[] | undefined;
            atoms?: number[] | undefined;
            assignment?: string | undefined;
            nbAtoms?: number | undefined;
            integration?: number | undefined;
            statistic?: {
                mean: number;
                sd: number;
                min: number;
                max: number;
                nb: number;
            } | undefined;
            kind: string;
            id: string;
            peaks: {
                originalX: number;
                x: number;
                id: string;
                kind?: string | undefined;
                shape?: import("ml-peak-shape-generator").Shape1D | undefined;
                y: number;
                width: number;
            }[];
        }[];
        originalFrom: number | undefined;
        originalTo: number | undefined;
        from: number;
        to: number;
        id: string;
        kind: string;
        integration: number;
        nbAtoms?: number | undefined;
        multiplicity?: string | undefined;
        diaIDs?: string[] | undefined;
        assignment?: string | undefined;
        pubIntegral?: number | undefined;
    }[];
};
