import { DatabaseNMREntry } from 'nmr-processing';
export interface DataBaseSignal {
    assignment: string;
    delta: number;
}
export interface DataBaseBasic {
    index: number;
    names: string[];
    solvent: string;
    smiles: string;
    ocl: {
        idCode: string;
        coordinates: string;
    };
}
export interface DataBaseRange {
    from: number;
    to: number;
    signals: DataBaseSignal[];
}
export interface LocalDatabase {
    key: string;
    label: string;
    url?: string;
    value?: DatabaseNMREntry[];
}
export declare const DATA_BASES: LocalDatabase[];
interface Coupling {
    multiplicity: string;
    coupling: string;
}
export type PrepareDataResult = Partial<DataBaseBasic & DataBaseRange & DataBaseSignal & Coupling>;
export interface InitiateDatabaseResult {
    data: DatabaseNMREntry[];
    getSolvents: () => string[];
    search: (options: {
        keywords?: string | string[];
        idCode?: string;
    }) => DatabaseNMREntry[];
}
export declare function initiateDatabase(databases: DatabaseNMREntry[], nucleus: string): InitiateDatabaseResult;
export declare function prepareData(data: DatabaseNMREntry[]): PrepareDataResult[];
export {};
