import { Spectrum, Spectrum1D, MultipleSpectraAnalysisPreferences, PanelsPreferences, WorkSpacePanelPreferences, AnalysisOptions, AnalysisColumnsTypes, SpectraAnalysisColumns, AnalisisColumnsValuesKeys } from 'nmr-load-save';
import { RangeDetectionResult } from '../types/data1d/index';
export type ColumnType = keyof typeof AnalysisColumnsTypes;
export interface AnalysisRow extends RangeDetectionResult {
    SID: string;
    colKey?: string;
    value?: number;
}
export interface SpectraAnalysisInnerData {
    options: AnalysisOptions;
    values: Record<string /** spectrum key */, AnalysisRow>;
}
export interface SpectraAnalysisData {
    options: AnalysisOptions;
    values: AnalysisRow[];
}
export type SpectraAnalysis = Record<string /** where the key is the nucleus*/, SpectraAnalysisInnerData>;
export declare function getColumns(spectraAnalysis: PanelsPreferences['multipleSpectraAnalysis'], nucleus: string): any;
export declare function getValue(colKey: string, columns: SpectraAnalysisColumns, data: any): any;
export declare function getSpectraAnalysis(spectra: Spectrum[], options: any): {
    values: AnalysisRow[];
    sum: number;
};
export declare function mapColumns(options: MultipleSpectraAnalysisPreferences['analysisOptions']): {
    resortSpectra: boolean;
    sum: number;
    columnIndex: number;
    code: string | null;
    columns: any;
};
export declare function changeColumnValueKey(spectraAnalysis: PanelsPreferences['multipleSpectraAnalysis'], nucleus: string, columnKey: string, newKey: AnalisisColumnsValuesKeys): void;
export declare function analyzeSpectra(spectraAnalysis: PanelsPreferences['multipleSpectraAnalysis'], options: any): void;
export declare function generateAnalyzeSpectra(multipleSpectraAnalysis: MultipleSpectraAnalysisPreferences, spectra: Spectrum1D[], nucleus: string): {
    values: unknown[];
    options: {
        columns: SpectraAnalysisColumns;
        code: string | null;
    };
};
export declare function deleteSpectraAnalysis(spectraAnalysis: PanelsPreferences['multipleSpectraAnalysis'], colKey: string, nucleus: string): void;
export declare function getDataAsString(spectraAnalysis: SpectraAnalysisData, spectra: Spectrum1D[], spectraPanelPreferences: WorkSpacePanelPreferences['spectra']): string | null;
