import { Spectrum2D } from 'nmr-load-save';
interface Level {
    positive: number;
    negative: number;
}
interface ContourItem {
    contourLevels: [number, number];
    numberOfLayers: number;
}
interface ContourOptions {
    positive: ContourItem;
    negative: ContourItem;
}
type ContoursLevels = Record<string, Level>;
declare const DEFAULT_CONTOURS_OPTIONS: {
    positive: {
        contourLevels: number[];
        numberOfLayers: number;
    };
    negative: {
        contourLevels: number[];
        numberOfLayers: number;
    };
};
type LevelSign = keyof Level;
interface ReturnContoursManager {
    wheel: (value: number, shift: boolean) => Level;
    getLevel: () => Level;
    checkLevel: () => Level;
}
declare function getDefaultContoursLevel(options: ContourOptions): Level;
declare function contoursManager(spectrumID: string, state: ContoursLevels, options: ContourOptions): ReturnContoursManager;
declare function drawContours(level: number, spectrum: Spectrum2D, negative?: boolean, quadrant?: string): import("ml-conrec").DrawContourResult<"basic"> | {
    contours: {
        zValue: any;
        lines: never[];
    }[];
    timeout: boolean;
};
export { drawContours, contoursManager, getDefaultContoursLevel, DEFAULT_CONTOURS_OPTIONS, };
export type { ContoursLevels, ReturnContoursManager, Level, LevelSign };
