import { DetectionZonesOptions } from './getDetectionZones';
/**
 *
 * @param {object} options
 * @param {object} options.selectedZone
 * @param {number} options.selectedZone.fromX
 * @param {number} options.selectedZone.fromY
 * @param {number} options.selectedZone.toX
 * @param {number} options.selectedZone.toY
 * @param {number} options.thresholdFactor
 * @param {boolean} options.convolutionByFFT
 */
export declare function detectZonesManual(datum: any, options: DetectionZonesOptions): {
    signals: {
        peaks: {
            id: string;
            x: number;
            y: number;
            z: number;
            originalX?: number | undefined;
            originalY?: number | undefined;
            originalZ?: number | undefined;
            width?: number | {
                x: number;
                y: number;
            } | undefined;
        }[] | undefined;
        id: string;
        kind: string;
        x: {
            originalDelta: number;
            delta: number;
            nbAtoms?: number | undefined;
            diaIDs?: string[] | undefined;
        };
        y: {
            originalDelta: number;
            delta: number;
            nbAtoms?: number | undefined;
            diaIDs?: string[] | undefined;
        };
        sign?: number | undefined;
        j?: {
            pathLength?: number | import("cheminfo-types").FromTo | undefined;
        } | undefined;
    }[];
    kind: string;
    x: {
        from: number;
        to: number;
        nbAtoms?: number | undefined;
        diaIDs?: string[] | undefined;
        originalFrom?: number | undefined;
        originalTo?: number | undefined;
    };
    y: {
        from: number;
        to: number;
        nbAtoms?: number | undefined;
        diaIDs?: string[] | undefined;
        originalFrom?: number | undefined;
        originalTo?: number | undefined;
    };
    id: string;
}[];
