import { Spectrum2D } from 'nmr-load-save';
import { Zones } from 'nmr-processing';
export declare function initiateZones(options: Partial<{
    zones: Zones;
}>, spectrum: Spectrum2D): {
    values: never[];
    options: {
        sum: undefined;
        isSumConstant: boolean;
        sumAuto: boolean;
    };
} & Zones & {
    values: {
        signals: {
            peaks: {
                id: string;
                x: number;
                y: number;
                z: number;
                originalX?: number | undefined;
                originalY?: number | undefined;
                originalZ?: number | undefined;
                width?: number | {
                    x: number;
                    y: number;
                } | undefined;
            }[] | undefined;
            id: string;
            kind: string;
            x: {
                originalDelta: number;
                delta: number;
                nbAtoms?: number | undefined;
                diaIDs?: string[] | undefined;
            };
            y: {
                originalDelta: number;
                delta: number;
                nbAtoms?: number | undefined;
                diaIDs?: string[] | undefined;
            };
            sign?: number | undefined;
            j?: {
                pathLength?: number | import("cheminfo-types").FromTo | undefined;
            } | undefined;
        }[];
        kind: string;
        x: {
            from: number;
            to: number;
            nbAtoms?: number | undefined;
            diaIDs?: string[] | undefined;
            originalFrom?: number | undefined;
            originalTo?: number | undefined;
        };
        y: {
            from: number;
            to: number;
            nbAtoms?: number | undefined;
            diaIDs?: string[] | undefined;
            originalFrom?: number | undefined;
            originalTo?: number | undefined;
        };
        id: string;
    }[];
};
