import type { FilterXYType } from 'ml-signal-processing';
interface FilterOptionsInfo {
    defaultValue: string | number;
    choices?: string[];
    description: string;
}
type FiltersObjectRecord = Record<string, FilterOptionsInfo>;
export type MatrixFilters = Array<{
    name: FilterXYType['name'];
    options: FiltersObjectRecord;
}>;
export declare function getDefaultMatrixFilters(): {
    name: "fromTo" | "centerMean" | "centerMedian" | "normed" | "divideBySD" | "rescale" | "paretoNormalization" | "airPLSBaseline" | "iterativePolynomialBaseline" | "rollingAverageBaseline" | "rollingBallBaseline" | "rollingMedianBaseline" | "firstDerivative" | "secondDerivative" | "thirdDerivative" | "savitzkyGolay" | "ensureGrowing" | "equallySpaced" | "filterX" | "calibrateX" | "xFunction" | "yFunction";
    options: FiltersObjectRecord;
}[];
export {};
