import filterXY from 'ml-signal-processing/FilterXYSchema.json';
export function getDefaultMatrixFilters() {
    // get filters information & default options values
    return filterXY.anyOf
        .filter(({ properties }) => properties.name.enum[0] !== 'equallySpaced')
        .map(({ properties }) => {
        const options = {};
        for (const [key, value] of Object.entries(properties?.options?.properties || {})) {
            options[key] = {
                defaultValue: value.default,
                choices: value.enum,
                description: value.description,
            };
        }
        return {
            name: properties.name.enum[0],
            options,
        };
    });
}
