export interface StateMolecule {
    id?: string;
    molfile: string;
    label?: string;
}
export interface StateMoleculeExtended extends Required<StateMolecule> {
    mf: string;
    em: number;
    mw: number;
    svg: string;
    atoms: Record<string, number>;
}
export interface MoleculeBoundingRect {
    width: number;
    height: number;
    x: number;
    y: number;
}
export declare const DRAGGABLE_STRUCTURE_INITIAL_BOUNDING_REACT: MoleculeBoundingRect;
export type MoleculesView = Record<string, MoleculeView>;
export interface MoleculeView {
    floating: {
        /**
         * If the floating molecule is shown.
         */
        visible: boolean;
        /**
         * Floating molecule position.
         */
        bounding: MoleculeBoundingRect;
    };
    /**
     * Show/Hide atoms numbers on the molecule.
     */
    showAtomNumber: boolean;
}
export declare function initMolecule(options?: Partial<StateMolecule>): StateMoleculeExtended;
export declare function toJSON(molecule: StateMoleculeExtended): StateMolecule;
