import { Spectrum } from 'nmr-load-save';
import { ParseResult } from 'papaparse';
interface CompareResultItem {
    key: string;
    isDuplicated: boolean;
    spectraIDs: string[];
}
type CompareResult = Record<number, CompareResultItem>;
declare function linkMetaWithSpectra(options: {
    source?: string;
    target?: string;
    autolink?: boolean;
    parseMetaFileResult: ParseResult<any>;
    spectra: Spectrum[];
}): {
    matches: Record<string, any>;
    compareResult: CompareResult;
};
declare class AutomaticPathsMatchesError extends Error {
    constructor();
}
declare class TargetPathError extends Error {
    constructor(fieldPath: any);
}
declare class SourcePathError extends Error {
    constructor(fieldPath: any);
}
export { linkMetaWithSpectra, AutomaticPathsMatchesError, TargetPathError, SourcePathError, };
export type { CompareResultItem, CompareResult };
