function findSpectrum(spectraData, spectrumID, checkIsVisible) {
    const spectrum = spectraData.find((_spectrum) => _spectrum.id === spectrumID);
    if (spectrum && checkIsVisible && !spectrum.display.isVisible) {
        return undefined;
    }
    return spectrum;
}
function findSignal1D(spectrum, signalID) {
    for (const range of spectrum.ranges.values) {
        const signalIndex = range.signals.findIndex((_signal) => _signal.id === signalID);
        if (signalIndex >= 0) {
            return range.signals[signalIndex];
        }
    }
}
function findSignal2D(spectrum, signalID) {
    for (const zone of spectrum.zones.values) {
        const signalIndex = zone.signals.findIndex((_signal) => _signal.id === signalID);
        if (signalIndex >= 0) {
            return zone.signals[signalIndex];
        }
    }
}
function findRange(spectrum, signalID) {
    for (const range of spectrum.ranges.values) {
        const signalIndex = range.signals.findIndex((_signal) => _signal.id === signalID);
        if (signalIndex >= 0) {
            return range;
        }
    }
}
function findZone(spectrum, signalID) {
    for (const zone of spectrum.zones.values) {
        const signalIndex = zone.signals.findIndex((_signal) => _signal.id === signalID);
        if (signalIndex >= 0) {
            return zone;
        }
    }
}
function findRangeOrZoneID(spectraData, experimentID, signalID, checkIsVisible) {
    const spectrum = findSpectrum(spectraData, experimentID, checkIsVisible);
    if (spectrum) {
        if (spectrum.info.dimension === 1) {
            const range = findRange(spectrum, signalID);
            if (range)
                return range.id;
        }
        else if (spectrum.info.dimension === 2) {
            const zone = findZone(spectrum, signalID);
            if (zone)
                return zone.id;
        }
    }
}
export { findRange, findRangeOrZoneID, findSignal1D, findSignal2D, findSpectrum, findZone, };
