import { Range } from 'nmr-processing';
export declare function getDiaIDs(range: Range): string[];
export declare function getNbAtoms(range: Range, signalIndex?: number): number;
export declare function setNbAtoms(range: Range, signalIndex?: number): void;
export declare function resetDiaIDs(range: Range): void;
/**
 *
 * @param {object} range
 * @param {String('both' | 'range' | 'signal')} unlinkType
 * @param {object} options
 * @param {number} [options.signalIndex]
 * @returns {object}
 */
interface UnlinkOptions {
    unlinkType?: 'both' | 'range' | 'signal';
    signalIndex?: number;
}
export declare function unlink(range: Range, options?: UnlinkOptions): Range;
export declare function addDefaultSignal(range: any): void;
export declare function checkRangeKind(range: any): boolean;
export declare function checkSignalKinds(range: any, kinds: any): boolean;
export declare function unlinkInAssignmentData(assignmentData: any, ranges: Array<Partial<Range>>): void;
export {};
