const mfCheck = /^(?:[A-Z][a-z]?\d* *)+$/;
export default function getAtomsFromMF(mf) {
    if (!mfCheck.test(mf)) {
        throw new Error(`MF can not be parsed: ${mf}`);
    }
    const atoms = {};
    const parts = mf.matchAll(/(?<atom>[A-Z][a-z]?)(?<number>\d*)/g);
    for (const part of parts) {
        const { atom, number } = part.groups;
        if (!atoms[atom]) {
            atoms[atom] = 0;
        }
        atoms[atom] += number === '' ? 1 : Number(number);
    }
    return atoms;
}
