import type { ClipboardItemDataType } from 'clipboard-polyfill';
export declare function readText(): Promise<string>;
export declare function read(): Promise<ClipboardItems>;
export declare function writeText(data: string): Promise<void>;
export interface ClipboardItemInterface {
    readonly presentationStyle?: PresentationStyle;
    readonly lastModified?: number;
    readonly delayed?: boolean;
    readonly types: readonly string[];
    getType(type: string): Promise<Blob>;
}
export declare function write(data: ClipboardItemInterface[]): Promise<void>;
export declare function newClipboardItem(items: Record<string, ClipboardItemDataType>, options?: ClipboardItemOptions): Promise<ClipboardItem>;
